local b09 ab ub
local b10 ab ub qb sb mb 
local b11 ab ub 
local b13 ab ub sb qb mb
local b16 ab ub 

foreach y in  09 10 11 13 16   {
foreach b in `b`y'' {
use "${datadir}/vat_returns_month_long.dta", clear


/*-------------------------------------------------------------------------------
				1. Sample Selection
*-------------------------------------------------------------------------------*/
		drop if period==.

		** Retail + Wholesale
		bysort ide: egen sector = max(codgiro)
		gen retail = 0
		replace retail = 1 if floor(codgiro/1000) == 47
		gen wholesale = 0
		replace wholesale = 1 if floor(codgiro/1000) == 46
		
		** Service sector 
		drop sector 
		bysort ide: egen sector = max(codgiro)
		tostring sector, replace
		gen sector_d=substr(sector, 1, 2)
		destring sector_d, replace
		recode sector_d (47=1) (49/53=2) (55/56=3) (58/63=4) (64/66=5) (68=6) (69/75=7) (77/82=8) (84=9) ///
		(85=10) (86/88=11) (90/93=12) (94/96=13) (46=14) (else=.), gen(servi_inc)

		forvalues i=2(1)13 {
			gen serv_`i'=(servi_inc==`i')
		}
		
		gen service=(servi_inc>=2 & servi_inc<=13)
		
		gen serv_100=service==1
		gen serv_101=(service==1 & servi_inc!=3)
		
		gen other_sector=(retail==0 & service==0 & wholesale==0)
		
		local y09 2009
		local y10 2010
		local y11 2011
		local y13 2013 
		local y16 2011
		local yf09 2015 
		local yf10 2015 
		local yf11 2015 
		local yf16 2016
		local yf13 2015 
		
		*selected time frame
		keep if year>=`y`y'' & year<=`yf`y''
				
		if `y'==16 {
			display "`y'"
			drop if month>=7 & year==2016
		}
		
		if `y'==13 {
			display "`y'"
			drop if month<=7 & year==2013
			drop if month>=9 & year==2015
		}


		egen total_sales=rowtotal(rlinea_14 rlinea_214)
		egen total_tsales=rowtotal(rlinea_211 rlinea_11 rlinea_12 rlinea_212)
		egen annual_outputVAT=rowtotal(rlinea_18 rlinea_218) // AB added
		egen annual_inputVAT=rowtotal(rlinea_19 rlinea_219) // AB added
		
		egen ntotal_sales=rowtotal(nlinea_14 nlinea_214)
		egen ntotal_tsales=rowtotal(nlinea_211 nlinea_11 nlinea_12 nlinea_212)
		egen nannual_outputVAT=rowtotal(nlinea_18 nlinea_218) // AB added
		egen nannual_inputVAT=rowtotal(nlinea_19 nlinea_219) // AB added
		
		rename tot_venta card_sales

	*Balancing Sample
		sort ide period
		gen quarter = qofd(dofm(period))
		format quarter %tq
		
		local q11 2011q1 2011q2 2011q3 2011q4 2012q1 2012q2 2012q3 2012q4 2013q1 2013q2 2013q3 2013q4 2014q1 2014q2 2014q3 2014q4 2015q1 2015q2 2015q3 2015q4
		local q10 2010q1 2010q2 2010q3 2010q4 2011q1 2011q2 2011q3 2011q4 2012q1 2012q2 2012q3 2012q4 2013q1 2013q2 2013q3 2013q4 2014q1 2014q2 2014q3 2014q4 2015q1 2015q2 2015q3 2015q4
		local q09 2009q1 2009q2 2009q3 2009q4 2010q1 2010q2 2010q3 2010q4 2011q1 2011q2 2011q3 2011q4 2012q1 2012q2 2012q3 2012q4 2013q1 2013q2 2013q3 2013q4 2014q1 2014q2 2014q3 2014q4 2015q1 2015q2 2015q3 2015q4		
		local q16 2011q1 2011q2 2011q3 2011q4 2012q1 2012q2 2012q3 2012q4 2013q1 2013q2 2013q3 2013q4 2014q1 2014q2 2014q3 2014q4 2015q1 2015q2 2015q3 2015q4 2016q1 2016q2  
		local q13 2013q3 2013q4 2014q1 2014q2 2014q3 2014q4 2015q1 2015q2 2015q3 
		
	
	*Generate indicator for unbalanced sample --- ub
		gen ub=1
	
	*Generate indicator for quarterly balanced sample --- qb
		foreach i in `q`y''  {
		gen qhas`i'_aux= quarter==tq(`i')
		egen thas`i'=max(qhas`i'_aux), by(id)
		}
		drop qhas*

		egen numq = rowtotal(thas*)

		local tq11 20 
		local tq10 24
		local tq09 28
		local tq16 22
		local tq13 9
		gen qb=(numq==`tq`y'')

	*Generate indicator for semesterly balanced panel --- sb
		local a09 2009 2010 2011 2012 2013 2014 2015 
		local a10 2010 2011 2012 2013 2014 2015 
		local a11 2011 2012 2013 2014 2015
		
		if `y'==09 | `y'==10 | `y'==11 {
		foreach a in `a`y'' {
		gen sbhas`a'=((thas`a'q1==1 | thas`a'q2==1 ) & (thas`a'q3==1 | thas`a'q4==1))
		}
		}
		
		if `y'==16 {
		foreach a in 2011 2012 2013 2014 2015  {
		gen sbhas`a'=((thas`a'q1==1 | thas`a'q2==1 ) & (thas`a'q3==1 | thas`a'q4==1))
		}	
		gen sbhas2016=(thas2016q1==1 | thas2016q2==1)
		}
		
		if `y'==13 {
		foreach a in 2014 {
		gen sbhas`a'=((thas`a'q1==1 | thas`a'q2==1 ) & (thas`a'q3==1 | thas`a'q4==1))
		}	
		gen sbhas2013=(thas2013q3==1 | thas2013q4==1)
		gen sbhas2015=(thas2015q1==1 | thas2015q2==1 ) & (thas2015q3==1)
		}
			
		egen sb_sum=rowtotal(sbhas*)
		local ty11 5
		local ty10 6
		local ty09 7
		local ty16 6
		local ty13 3 
		

		
		gen sb=(sb_sum==`ty`y'')	
		drop sbhas* sb_sum
	
	*Generate indicator for annually balanced sample --- ab
		
		local a09 2009 2010 2011 2012 2013 2014 2015 
		local a10 2010 2011 2012 2013 2014 2015 
		local a11 2011 2012 2013 2014 2015
		
		if `y'==09 | `y'==10 | `y'==11 {
		foreach a in `a`y'' {
		gen sbhas`a'=(thas`a'q1==1 | thas`a'q2==1 | thas`a'q3==1 | thas`a'q4==1)
		}
		}
		
		if `y'==16 {
		foreach a in 2011 2012 2013 2014 2015  {
		gen sbhas`a'=(thas`a'q1==1 | thas`a'q2==1 | thas`a'q3==1 | thas`a'q4==1)
		}
		
		gen sbhas2016=(thas2016q1==1 | thas2016q2==1)
		}
		
		if `y'==13 {
		foreach a in 2014  {
		gen sbhas`a'=(thas`a'q1==1 | thas`a'q2==1 | thas`a'q3==1 | thas`a'q4==1)
		}
		
		gen sbhas2013=(thas2013q3==1 | thas2013q4==1)
		gen sbhas2015=(thas2014q1==1 | thas2014q2==1 | thas2014q3==1)
		}
			
		egen sb_sum=rowtotal(sbhas*)
		local ty11 5
		local ty10 6
		local ty09 7
		local ty16 6
		local ty13 3
		
		gen ab=(sb_sum==`ty`y'')

	
	*Generate indictor for fully (monthly) balanced sample --- mb
	
		gen count_panel=1
		egen sum_panel=sum(count_panel), by(ide)
		sum sum_panel, d
		local panel_max=r(max)

		gen mb=(sum_panel==`panel_max')

	*Check sample size of the different balanced samples	
		egen tag_firm=tag(ide)
		tab ub if tag_firm==1
		tab qb if tag_firm==1
		tab sb if tag_firm==1
		tab mb if tag_firm==1		
		tab ab if tag_firm==1
		tab sb qb
		
		destring year_birth, replace

		
		keep if `b'==1
		if `y'!=13 {
collapse (sum) rtaxsale rtaxpur rnetliab cede_sales=total_sales cede_tsales=total_tsales cede_aoutput=annual_outputVAT cede_input=annual_inputVAT card_sales ncede_sales=ntotal_sales ncede_tsales=ntotal_tsales ncede_aoutput=nannual_outputVAT ncede_input=nannual_inputVAT cantidad_oper  (mean) nocede_sales=total_sales nocede_tsales=total_tsales nocede_aoutput=annual_outputVAT nocede_input=annual_inputVAT nnocede_sales=ntotal_sales nnocede_tsales=ntotal_tsales nnocede_aoutput=nannual_outputVAT nnocede_input=nannual_inputVAT (max) year_birth codgiro cede hascard retail wholesale codnatjuridica coddeptofiscal ub qb sb ab mb serv_* service other_sector, by(ide year) 


	*Combine cede/non-cede specific variables into one
		*deflated
		gen total_sales=cede_sales if cede==1
		replace total_sales=nocede_sales if cede==0

		gen total_tsales=cede_tsales if cede==1
		replace total_tsales=nocede_tsales if cede==0

		gen aoutput=cede_aoutput if cede==1   // AB added
		replace aoutput=nocede_aoutput if cede==0

		gen ainput=cede_input if cede==1   
		replace ainput=nocede_input if cede==0

		gen aliability=max(0,aoutput-ainput)
		
		gen r_ratio=aoutput/total_sales
		
		*nominal
		gen ntotal_sales=ncede_sales if cede==1
		replace ntotal_sales=nnocede_sales if cede==0

		gen ntotal_tsales=ncede_tsales if cede==1
		replace ntotal_tsales=nnocede_tsales if cede==0

		gen naoutput=ncede_aoutput if cede==1   // AB added
		replace naoutput=nnocede_aoutput if cede==0

		gen nainput=ncede_input if cede==1   
		replace nainput=nnocede_input if cede==0
		
		gen naliability=max(0,naoutput-nainput)
		
		gen no_ratio=naoutput/ntotal_sales

		drop cede_sales nocede_sales cede_tsales nocede_tsales cede_aoutput nocede_aoutput cede_input nocede_input
		drop ncede_sales nnocede_sales ncede_tsales nnocede_tsales ncede_aoutput nnocede_aoutput ncede_input nnocede_input

		foreach var in total_tsales total_sales aoutput ainput ntotal_tsales ntotal_sales naoutput nainput r_ratio no_ratio  {
		gen tag`var'=99 if `var'<0
		egen meantag`var'=mean(tag`var'), by(ide)
		drop if meantag`var'==99 // dropping about 500 or less in total in long sb panel
		}
		
		}
		
		if `y'==13 {
		keep rtaxsale rtaxpur rnetliab annual_outputVAT annual_inputVAT nannual_outputVAT nannual_inputVAT total_sales total_tsales  year_birth codgiro cede hascard retail wholesale coddeptofiscal ub qb sb ab mb serv_* service ide year month period ntotal_sales ntotal_tsales other_sector cantidad_oper card_sales codnatjuridica

		rename annual_outputVAT aoutput
		rename annual_inputVAT ainput
		rename nannual_outputVAT naoutput
		rename nannual_inputVAT nainput
		gen aliability=max(0,aoutput-ainput)
		
		gen naliability=max(0,naoutput-nainput)
		
		foreach var in aoutput ainput naoutput nainput {
		gen tag`var'=99 if `var'<0
		egen meantag`var'=mean(tag`var'), by(ide)
		drop if meantag`var'==99 
		drop tag`var' meantag`var'
		}
		}
		
		*drop if year birth if after first year in data. 
		
		local y09 2009
		local y10 2010
		local y11 2011 
		local y16 2011
		local y13 2013

		drop if year_birth>`y`y''
		

save "${datadir}/data_`b'_`y'.dta", replace
}
}

/*
*TESTS on data
u "${datadir}/data_ub_10.dta", clear



