*-------------------------------------------------------------------------------
* 1 NON CEDE FORM
*-------------------------------------------------------------------------------

foreach year in 2012 2013 2014 2015 2016 {
import delimited "$rawdatadir\CIT tax return\1.bm_2148_`year'.txt", clear 
*keeping relevant lines 
recode nro_de_linea (13 195 196 178 179 114 115 160 161 162 100=1) (else=0), gen(keep)
keep if keep==1
*classification of lines
recode nro_de_linea (13=1 "assets") (195 196  178 179=2 "payroll") (114 115=3 "result") (160 161 162 100=4 "income"), gen(class)
*collapse by line class-firm
collapse (sum) importe, by(identificador class)

*reshape (one row per firm)
reshape wide importe, i(identificador) j(class)

*var rename 
rename (importe1 importe2 importe3 importe4 identificador) (assets payroll_cit result income_cit ide)

*year var
gen year=`year'

*no cede var 
gen nc=1
save  "$datadir\cit_nocede_`year'.dta", replace

}

*-------------------------------------------------------------------------------
* CEDE FORM
*-------------------------------------------------------------------------------
import delimited "$rawdatadir\CIT tax return\1.bm_2149_de_2012_a_2016.txt", clear 
*extracting year
gen year=substr(fecha_corresponde,1,4)
destring year, replace

*keeping relevant lines 
recode nro_de_linea (13 195 196 178 179 114 115 160 161 162 100=1) (else=0), gen(keep)
keep if keep==1
*classification of lines
recode nro_de_linea (13=1 "assets") (195 196  178 179=2 "payroll") (114 115=3 "result") (160 161 162 100=4 "income"), gen(class)
*collapse by line class-firm
collapse (sum) importe, by(identificador class year)

*reshape (one row per firm)
reshape wide importe, i(identificador year) j(class)

*var rename 
rename (importe1 importe2 importe3 importe4 identificador) (assets payroll_cit result income_cit ide)
*no cede var 
gen nc=0

save  "$datadir\cit_cedeall.dta", replace

foreach year in 2012 2013 2014 2015 2016 {
append using  "$datadir\cit_nocede_`year'.dta"
}

collapse (mean) assets payroll_cit result income_cit (max) nc, by(ide year)


save  "$datadir/cit_return.dta", replace


*erase auxiliary files
foreach year in 2012 2013 2014 2015 2016 {
erase  "$datadir/cit_nocede_`year'.dta"
}


erase "$datadir/cit_cedeall.dta"

*** creates a list of firm ever filing a cit return
use "$datadir/cit_return.dta", clear
duplicates drop ide, force
save "${datadir}/cit_id.dta", replace

