* appending cede and non cede returns 
		use "${stata_raw}/cede_vat_returns.dta", clear
		gen cede=1
		gen nocede=0
		append using "${stata_raw}/non-cede_vat_returns.dta"
		replace cede=0 if cede==.
		replace nocede=1 if nocede==.
		
		rename id_decl id
		rename fecha_corr periodo 
		
		
		gsort id period -cede
		duplicates drop id periodo, force
		tostring periodo, replace
		gen period_day=date(periodo, "YMD")
		format period_day %td
		gen year=year(period_day)	
		gen month=month(period_day)
		gen period=mofd(period_day)
		format period %tm
		drop periodo

	* Year 2006 is incomplete/problematic. Drop.
		drop if year==2006
	
	* Identify within-year switchers between CEDE and non-CEDE:
		bysort id year: egen temp=max(cede)
		gen temp2=(temp!=cede)
		by id year: egen switchedyr=max(temp2)
		by id: egen ever_switchedyr=max(temp2)
		
	* For non-CEDE firms, generate monthly values:
		bysort id year: egen taxsale_jan=max(linea_500)
		bysort id year: egen taxsale_feb=max(linea_502)
		bysort id year: egen taxsale_mar=max(linea_504)
		bysort id year: egen taxsale_apr=max(linea_506)
		bysort id year: egen taxsale_may=max(linea_508)
		bysort id year: egen taxsale_jun=max(linea_510)
		bysort id year: egen taxsale_jul=max(linea_512)
		bysort id year: egen taxsale_aug=max(linea_514)
		bysort id year: egen taxsale_sep=max(linea_516)
		bysort id year: egen taxsale_oct=max(linea_518)
		bysort id year: egen taxsale_nov=max(linea_520)
		bysort id year: egen taxsale_dec=max(linea_522)
		
		bysort id year: egen taxpur_jan=max(linea_501)
		bysort id year: egen taxpur_feb=max(linea_503)
		bysort id year: egen taxpur_mar=max(linea_505)
		bysort id year: egen taxpur_apr=max(linea_507)
		bysort id year: egen taxpur_may=max(linea_509)
		bysort id year: egen taxpur_jun=max(linea_511)
		bysort id year: egen taxpur_jul=max(linea_513)
		bysort id year: egen taxpur_aug=max(linea_515)
		bysort id year: egen taxpur_sep=max(linea_517)
		bysort id year: egen taxpur_oct=max(linea_519)
		bysort id year: egen taxpur_nov=max(linea_521)
		bysort id year: egen taxpur_dec=max(linea_523)
		
	* For non-CEDE observations, keep just last yearly observation:
	
		bysort id year: egen period_max = max(period) if cede==0
		format period_max %tm
		drop if cede==0 & period!=period_max
		drop period_max
		
		* Generate final variables:
		foreach x in jan feb mar apr may jun jul aug sep oct nov dec{
		gen reports_`x'=((taxsale_`x'>0 & !missing(taxsale_`x')) | (taxpur_`x'>0 & !missing(taxpur_`x')))
		}
		egen numreports_month=rsum(reports_jan reports_feb reports_mar reports_apr reports_may reports_jun reports_jul reports_aug reports_sep reports_oct reports_nov reports_dec)
		gen one = 1
		bysort id year: egen filesyr=total(one)
		bysort id year: egen numyr_cede=total(cede)
		
		gen num_expand = numreports_month 
		
	* Expand non-CEDE firms by the number of monthly files they submit in a year:
		forvalues i=1/12{
		expand `i' if cede==0 & num_expand==`i'
		}
	
		* Corrects period variable for non-CEDE firms that file every month in a year:
		bysort id period: gen aux=_n if cede==0
		
		* Iterate to get month:
		
		gen monthtemp = .
		replace monthtemp = 1 if cede==0 & reports_jan==1 & aux==1 & monthtemp==. 
		replace monthtemp = 2 if cede==0 & reports_feb==1 & aux==1 & monthtemp==. 
		replace monthtemp = 3 if cede==0 & reports_mar==1 & aux==1 & monthtemp==. 
		replace monthtemp = 4 if cede==0 & reports_apr==1 & aux==1 & monthtemp==. 
		replace monthtemp = 5 if cede==0 & reports_may==1 & aux==1 & monthtemp==. 
		replace monthtemp = 6 if cede==0 & reports_jun==1 & aux==1 & monthtemp==. 
		replace monthtemp = 7 if cede==0 & reports_jul==1 & aux==1 & monthtemp==. 
		replace monthtemp = 8 if cede==0 & reports_aug==1 & aux==1 & monthtemp==. 
		replace monthtemp = 9 if cede==0 & reports_sep==1 & aux==1 & monthtemp==. 
		replace monthtemp = 10 if cede==0 & reports_oct==1 & aux==1 & monthtemp==. 
		replace monthtemp = 11 if cede==0 & reports_nov==1 & aux==1 & monthtemp==. 
		replace monthtemp = 12 if cede==0 & reports_dec==1 & aux==1 & monthtemp==. 
		
		forvalues i=2/12{
		replace monthtemp = 2 if cede==0 & reports_feb==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<2
		replace monthtemp = 3 if cede==0 & reports_mar==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<3
		replace monthtemp = 4 if cede==0 & reports_apr==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<4
		replace monthtemp = 5 if cede==0 & reports_may==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<5
		replace monthtemp = 6 if cede==0 & reports_jun==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<6
		replace monthtemp = 7 if cede==0 & reports_jul==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<7
		replace monthtemp = 8 if cede==0 & reports_aug==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<8
		replace monthtemp = 9 if cede==0 & reports_sep==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<9
		replace monthtemp = 10 if cede==0 & reports_oct==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<10
		replace monthtemp = 11 if cede==0 & reports_nov==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<11
		replace monthtemp = 12 if cede==0 & reports_dec==1 & aux==`i' & monthtemp==. & monthtemp[_n-1]<12
		}
		
		replace monthtemp=month if cede==0 & (num_expand==1 | num_expand==0) & monthtemp==.
		
		* Drop non-CEDE files that do not decompose by month
		*drop if cede==0 & numexpand==0 & monthtemp==.		
		*****: What to do here???
		sort id period cede monthtemp
		rename period period_old
		gen period = period_old if cede==1
		
		forvalues y=2007(1)2016{
		forvalues mm = 1/12{
		replace period=tm(`y'm`mm') if cede==0 & monthtemp==`mm' & year==`y'
		}
		}	
		replace period = period_old if cede==0 & monthtemp==.
		format period %tm
		drop monthtemp aux
		
		* Month and date time variables are now outdated, so update:
		drop month period_day
		gen aux = period
		format aux %10.0g
		gen period_day = dofm(aux)
		format period_day %d
		gen month=month(period_day)
		drop aux
		
		gen taxsale=.
		replace taxsale=taxsale_jan if month==1 & cede==0
		replace taxsale=taxsale_feb if month==2 & cede==0 
		replace taxsale=taxsale_mar if month==3 & cede==0
		replace taxsale=taxsale_apr if month==4 & cede==0
		replace taxsale=taxsale_may if month==5 & cede==0
		replace taxsale=taxsale_jun if month==6 & cede==0
		replace taxsale=taxsale_jul if month==7 & cede==0
		replace taxsale=taxsale_aug if month==8 & cede==0
		replace taxsale=taxsale_sep if month==9 & cede==0
		replace taxsale=taxsale_oct if month==10 & cede==0
		replace taxsale=taxsale_nov if month==11 & cede==0
		replace taxsale=taxsale_dec if month==12 & cede==0
		replace taxsale=linea_18  if cede==1
		replace taxsale=linea_218 if (linea_218>0 | linea_219>0) & cede==1 

		gen taxpur=.
		replace taxpur=taxpur_jan if month==1 & cede==0
		replace taxpur=taxpur_feb if month==2 & cede==0 
		replace taxpur=taxpur_mar if month==3 & cede==0
		replace taxpur=taxpur_apr if month==4 & cede==0
		replace taxpur=taxpur_may if month==5 & cede==0
		replace taxpur=taxpur_jun if month==6 & cede==0
		replace taxpur=taxpur_jul if month==7 & cede==0
		replace taxpur=taxpur_aug if month==8 & cede==0
		replace taxpur=taxpur_sep if month==9 & cede==0
		replace taxpur=taxpur_oct if month==10 & cede==0
		replace taxpur=taxpur_nov if month==11 & cede==0
		replace taxpur=taxpur_dec if month==12 & cede==0
		replace taxpur=linea_19 if cede==1	
		replace taxpur=linea_219  if (linea_218>0 | linea_219>0) & cede==1

		*gen netliab=max(0,taxsale-taxpur) // I don't think this is right because negative liability can be carried over to the next period
		gen netliab=taxsale-taxpur
		
		* Drop duplicates (100% because switchedyr==1; we'll keep CEDE)
		gsort id period -cede
		duplicates drop id period, force
		
		* Convert to real values
		rename month month_num
		gen month=""
		replace month="ENE" if month_num==1
		replace month="FEB" if month_num==2
		replace month="MAR" if month_num==3
		replace month="ABR" if month_num==4
		replace month="MAY" if month_num==5
		replace month="JUN" if month_num==6
		replace month="JUL" if month_num==7
		replace month="AGO" if month_num==8
		replace month="SEP" if month_num==9
		replace month="OCT" if month_num==10
		replace month="NOV" if month_num==11
		replace month="DIC" if month_num==12

		merge m:1 year month using "${rootdir}\data\cpi.dta", keepusing(cpi)
		keep if _merge==3
		drop month
		rename month_num month 
		
		* Sets time
		gen periodo=year*100+month
		merge 1:1 id periodo using "${datadir}\card_month_firm.dta", gen(merge_card)
		*keep if merge_card!=2
		gen hascard=(merge_card==3)
		drop merge_card
		
		* Make switchers (15.4% of obs) non-CEDE firms 
		cap drop temp temp2
		gen cede_original = cede
		gen nocede_original = nocede
		bysort id: egen temp=max(cede)
		gen temp2=(temp!=cede)
		by id: egen switcher=max(temp2)
		replace cede=0 if switcher==1	
		replace nocede=1 if switcher==1	
			
		* SAMPLE SELECTION:
		
		* Generate an indicator for the first period in which the firm receives credit card report (and it's not the first time we see you)
		sort id period 
		by id: egen temp0=min(period)
		by id: egen temp1=min(period) if hascard==1
		replace temp1=. if temp1==temp0
		by id: egen eventtime=max(temp1) 
		format eventtime %tm
		drop temp0 temp1
		sort id period
		gen e=(eventtime==period)
		gen edist=round(period-eventtime) 
		
		* Convert to Dec 2010 values
		foreach var of varlist taxsale taxpur netliab tot_venta tot_credito linea_11 linea_12 linea_14 linea_18 linea_19 linea_211 linea_212 linea_214 linea_218 linea_219 linea_91 {
		gen double r`var'=`var'/(cpi/100)
		}
		
		* Identifies whether firm sells goods that are i) non-taxed, ii) export, iii) suspenso ?, iv) minimum, and v) base
		gen double nt = round((linea_8 + linea_208)/(linea_14 + linea_214), 0.01)
		gen double exp = round((linea_9 + linea_209)/(linea_14 + linea_214), 0.01)
		gen double sus = round((linea_10 + linea_210)/(linea_14 + linea_214), 0.01)
		gen double min = round((linea_11 + linea_211)/(linea_14 + linea_214), 0.01)
		gen double base = round((linea_12 + linea_13 + linea_212 + linea_213)/(linea_14 + linea_214), 0.01)
		foreach v of varlist nt exp sus min base{
		replace `v'=0 if `v'==.
		}
		* Received POS subsidy
		gen receivedsubs=(linea_91>0 & !missing(linea_91))
		gen amount_sub=linea_91
		
		rename linea_14 nlinea_14
		rename linea_214 nlinea_214 
		rename linea_8 nlinea_8 
		rename linea_208 nlinea_208 
		rename linea_9 nlinea_9
		rename linea_209 nlinea_209 
		rename linea_11 nlinea_11 
		rename linea_211 nlinea_211
		rename linea_12 nlinea_12
		rename linea_13 nlinea_13
		rename linea_212 nlinea_212
		rename linea_213 nlinea_213
		rename linea_18 nlinea_18 
		rename linea_218 nlinea_218 
		rename linea_19 nlinea_19 
		rename linea_219 nlinea_219
		
		* Drop unnecessary variables
		drop periodo temp temp2 linea_*  _merge reports_* numreports_month filesyr one taxsale_* taxpur_* switchedyr ever_switchedyr period_old 		numyr_cede num_expand

		* merged 5.86 million
		rename id ide 
		merge m:1 ide using "$stata_raw/taxpayers_characteristics.dta"
		drop if _merge==2
		drop _merge
		* merged 750k
		merge m:1 ide using "$stata_raw/branches.dta"
		drop if _merge==2
		drop _merge
		sort id period
		drop if period==. 
		save "$datadir\vat_returns_month_long.dta", replace 

		
	