foreach var in $g_var   {
foreach bal in $g_bal {
foreach y in  $g_y {
foreach est in $g_est {
foreach w in $g_w {
foreach f in $g_f   {
foreach r in $g_r {
foreach as in  $g_as  {
foreach eps in $g_eps { 
foreach sec in $g_sec { 
foreach est_m in $g_est_m {
foreach random in $g_random {
foreach run in $g_run {
foreach type in $g_type {
	
use "${datadir}/data_`bal'_`y'.dta", clear

/*-------------------------------------------------------------------------------
				0. Control and treatment group selection
*-------------------------------------------------------------------------------*/
	* serv_100 is all service sector, serv_101 is service sector excluding restaurants and hotels

	*Select sector 
		keep if retail==1 | `sec'==1
		
		tostring codgiro, gen(industry_code)
		gen subsector=substr(industry_code,3,2) if retail==1
		destring subsector, replace

	*Generate post reform
	if `y'!=13 {
		gen distt=year-2014
		gen post=(distt>=0) 
		gen yrs=.
	}
	
	if `y'==13 {
		gen distt=period-tm(2014m8)	
		keep if distt>=-12 & distt<=12
		gen post=(distt>=0)
		ren year yrs
		ren period year
	}

	*POS pre reform
		egen card_pre_aux=max(hascard), by(post ide)
		replace card_pre_aux=. if post==1
		egen card_pre=mean(card_pre_aux), by(ide)
		
	* POS EVER
		egen card_ever=max(hascard), by(ide)
		
	*Montevideo
	gen montevideo=(coddeptofiscal==10)

	
	*Greater Montivideo
	gen greater_montevideo=(coddeptofiscal==10 | coddeptofiscal==16 | coddeptofiscal==2)
		
	*Different samples depending on POS	
		* sample includes all 
		gen r1=1
		* sample excludes wholesale with POS pre reform
		gen r2=(retail==1 | (retail==0 & card_pre==0))
		* sample excludes wholesalers with POS EVER
		gen r3=(retail==1 | (retail==0 & card_ever==0))
		* sample excludes retailers with POS pre reform
		gen r4=((retail==1 & card_pre==0)  | retail==0)
		* sample excludes retailers with POS EVER
		gen r5=((retail==1 & card_ever==0) | retail==0)
		* sample excludes RT and WS with POS ever 
		gen r6= card_ever==0
		* sample keeps on RT with POS pre-reform + all of WS
		gen r7=((retail==1 & card_pre==1) | retail==0)
		
		* sample keeps on RT with POS pre-reform + all of WS for specific retail subsectors
		foreach sub in 11 19 21 30 41 52 59 61 71 72 73 {
			gen r7_`sub'=((retail==1 & card_pre==1 & subsector==`sub') | retail==0)
		}

		* sample restricts both RT and WS to having POS pre-reform
		gen r8=((retail==1 & card_pre==1) | (retail==0 & card_pre==1))
		* RT with POS vs WS without POS
		gen r9=((retail==1 & card_pre==1) | (retail==0 & card_pre==0))
		* RT with POS vs WS without POS
		gen r99=((retail==1 & card_pre==1) | (retail==0 & card_ever==0))
		
		
		gen r10=((retail==1 & card_pre==1 & montevideo==1) | retail==0)
		gen r11=((retail==1 & card_pre==1 & montevideo==0) | retail==0)
		gen r12=((retail==1 & card_pre==1 & greater_montevideo==1) | retail==0)
		gen r13=((retail==1 & card_pre==1 & greater_montevideo==0) | retail==0)
		gen r14=((retail==1 & card_pre==1 & cede==1) | retail==0)
		gen r15=((retail==1 & card_pre==1 & cede==0) | retail==0)



		keep if `r'==1

display "`bal' `est'"
if `y'!=13 {
tab year retail
}

if `y'==13 {
	bys yrs: tab year retail
}

local yearvar13 yrs
local yearvar10 year 
local yearvar09 year
local yearvar11 year
local yearvar16 year 


/*-------------------------------------------------------------------------------
				2. Subsample for SDID 
*-------------------------------------------------------------------------------*/
if `est_m'==2 {

		set seed 1234
		** selecting 50% random sample 
		local tt10 2010
		local tt11 2011
		local tt09 2009
		local tt16 2011
		local tt13 2013
		
		gen random=runiform() if `yearvar`y''==`tt`y''

		local r50 0.5
		local r100 1
		
		egen random_t=mean(random), by(ide)
		keep if random_t<=`r`random''

		}
		
count 


/*-------------------------------------------------------------------------------
				3. Relevant Variables
*-------------------------------------------------------------------------------*/

rename total_tsales s_ta
rename rtaxsale out 
rename rtaxpur input 
rename rnetliab liab
rename total_sales stot
rename aoutput nout
rename aliability nliab
rename nainput no_in
rename naoutput no_out
rename ntotal_sales no_sta
rename ntotal_tsales no_sto
rename naliability no_liab


keep liab hascard retail wholesale ide year cede coddeptofiscal stot s_ta out hascard nout nliab year_birth ///
serv_* post distt card_pre card_ever yrs

*recode of year of birth
		replace year_birth=1950 if year_birth<=1950
		
		recode  year_birth (1950=1950) (1951/1955=1951) (1956/1960=1956) (1961/1965=1961) ///
		(1966/1970=1966) (1971/1975=1971) (1976/1980=1976), gen(year_inc)
		
		recode  year_birth (1950=1950) (1951/1955=1951) (1956/1960=1956) (1961/1965=1961) ///
		(1966/1970=1966) (1971/1975=1971) (1976/1980=1976) (1981/1985=1981) (1986/1990=1986) ///
		(1991/1995=1991) (1996/2000=1996) (2001/2005=2001) (2006/2009=2006) ///
		(2010/2015=2010), gen(year_inc_r)
		
		recode  year_birth (1950=1950) (1951/1955=1951) (1956/1960=1956) (1961/1965=1961) ///
		(1966/1970=1966) (1971/1975=1971) (1976/1980=1976) (1981/1983=1981) (1984/1986=1984) ///
		(1987/1989=1987) (1990/1992=1990) (1991/1993=1991) (1994/1996=1994) ///
		(1997/1999=1997) (2000/2002=2000) (2003/2005=2003) (2006/2008=2006) ///
		(2009/2011=2009), gen(year_inc_3)

		
		*this drops zeros for individual outcomes (for the intensive margin) while keeping the sample balaced. 
		*Dummy of outcome greater than zero
		gen nz_`var'=(`var'>0 & `var'!=.)

		
		if "`bal'"!="ub" {
		egen ez_logx_`var'_`bal'=min(nz_`var'), by(ide)
		}
		
		if "`bal'"=="ub" {
		gen ez_logx_`var'_`bal'=1 if nz_`var'==1
		}
		
		
		*for extensive and log_modif keeps individual zeros
		gen ez_nz_`var'_`bal'=1
		gen ez_log_modif_`var'_`bal'=1
		
		count if  ez_`est'_`var'_`bal'!=1 
		
		keep if ez_`est'_`var'_`bal'==1
	
		display "`bal' `est'"
		tab year retail /*just making sure that is still balanced (unless the unbalanced panel)*/

		local w_95 95 
		local w_99 99
		local w_100 99.9
		
		*Winsorizing level value * if w=o no winsorizing
		winsor2 `var', suffix(_`w') cuts(0 `w_`w'') by(year retail)
		

		*Log(x+epsilon) with modification as in Chen & Roth 2023
		gen aux2=`var'_`w'
		replace aux2=. if `var'_`w'==0
		egen minvar=min(aux2)
		sum minvar
		gen log_modif_`var'=log(`var'_`w'/(minvar*`as'))
		replace log_modif_`var'=-(`eps'/100) if `var'_`w'==0
				
		*log(x)
		gen logx_`var'=log(`var'_`w')
		
		replace nz_`var'=nz_`var'*100
		
	
		keep  logx_`var' nz_`var' log_modif_`var' ide ///
		post retail year distt cede year_birth coddeptofiscal stot s_ta out year_inc ///
		year_inc_r year_inc_3 yrs

/*-------------------------------------------------------------------------------
				4. Standard DID
*-------------------------------------------------------------------------------*/

	if `est_m'==1 {
		
		* Interaction 
		gen did_rvsw=retail*post
	
		egen tag=tag(ide)
				
		tab distt, gen(pe)
		
		
		local t09 7
		local t10 6
		local t11 5
		local t12 5
		local t16 6 
		local t13 25
		forvalues  i = 1(1)`t`y'' {
		gen did_`i'=retail*pe`i'
		}
		
		if `y'!=13 {
			* deciles of firm size. Based on average annual sales pre reform. 
				egen period_sales=mean(stot), by(post ide)
				gen pre_sale_aux=period_sales if post==0 
				egen pre_sales_t=mean(pre_sale_aux), by(ide)
				
				drop period_sales pre_sale_aux
		

				egen size_decile_pre=cut(pre_sales_t), group(10)
		}

				
		* Scaling outcome variables by pre-reform mean
		bys  post retail: egen aux_sc_`est'_`var'=mean(`est'_`var')
		replace aux_sc_`est'_`var'=. if post==1
		bys retail: egen scale_`est'_`var'=min(aux_sc_`est'_`var')
		gen s_`est'_`var'=`est'_`var'/scale_`est'_`var'	

/*-------------------------------------------------------------------------------
				4.1. Regressions
*-------------------------------------------------------------------------------*/
		
		local slog_modif reghdfe
		local snz reghdfe
		local slogx reghdfe
		
		gen all_sample=1
	
		*No FE
			local fe_1  
			
		* Year Birth
			local fe_11  i.year_birth#i.year	
			
		* Year Birth + state
			local fe_2  i.year_birth#i.year  i.coddeptofiscal#i.year 
		
		* Year Birth + state + cede
			local fe_3  i.year_birth#i.year  i.coddeptofiscal#i.year i.cede##i.year 
		
		* Year Birth + state + firm-size-deciles
			local fe_4  i.year_birth#i.year  i.coddeptofiscal#i.year i.size_decile_pre#i.year 
		
		* Firm-size deciles
			local fe_5    i.size_decile_pre#i.year 
		
	
		`s`est'' `est'_`var' did_rvsw, absorb(i.ide i.distt `fe_`f'') cluster(i.ide)
		
		foreach x in se b {
		local coef_`x'=string(_`x'[did_rvsw], "%15.4fc")
		}
		
		** Sample size for graph (unique taxpayers)
		count if retail==1 & tag==1 & e(sample)==1
		local n_treat=r(N)
		count if retail==0 & tag==1 & e(sample)==1
		local n_control=r(N)
		
		sum `est'_`var' if post==0 & retail==0 & e(sample)==1
		local c_pre=string(r(mean), "%15.2fc")
		sum `est'_`var' if post==1 & retail==0 & e(sample)==1
		local c_post=string(r(mean), "%15.2fc")
		sum `est'_`var' if post==0 & retail==1 & e(sample)==1
		local t_pre=string(r(mean), "%15.2fc")
		sum `est'_`var' if post==1 & retail==1 & e(sample)==1
		local t_post=string(r(mean), "%15.2fc")
		
		/* Saving coefficient estimates for later use in tables */
		preserve
		drop _all
		set obs 1 
		
			gen b=`coef_b'
			gen ste=`coef_se'
			gen n_t=`n_treat'
			gen n_c=`n_control'
			
			save "${datadir}/coef_`var'_`bal'_`y'_`est'_`w'_`f'_`r'_`as'_`eps'_`sec'_`est_m'.dta", replace
			
		restore 

		if `y'==13 {
			continue 
		}
		
		if "`type'"=="table" {
			continue
		}
/*-------------------------------------------------------------------------------
				4.2. DID Graph
*-------------------------------------------------------------------------------*/
		* collapsing at the yearly level by treatment
		preserve
		collapse (mean) s_`est'_`var'=s_`est'_`var' m_`est'_`var'=`est'_`var' (semean) se_`est'_`var'=s_`est'_`var', by(distt retail)
		
		** building means and confidence interval 
		gen v_`est'_`var'=se_`est'_`var'*1.96
		gen lower_`est'_`var'=s_`est'_`var'-v_`est'_`var'
		gen upper_`est'_`var'=s_`est'_`var'+v_`est'_`var'
		gen mean_`est'_`var'=s_`est'_`var'
		
		*Reshape
		keep lower_* upper_* mean_* distt retail
		reshape wide lower_* upper_* mean_*, i(distt) j(retail)
		
	 * Local for text in graphs
		local yaxis_text="Relative to Pre-Reform Average"
		local l_nout="Output VAT" 
		local l_nliab="Net VAT Liability"
		local l_input="Input VAT"
		local l_m_sales_to="Total Income" 
		local l_s_ta="Total Taxable Income"
		local c_nz="OLS DiD (Dummy)"
		local c_logx="OLS DiD Log(x)"
		local c_log_modif="OLS DiD Log(x)"
		local c_rs="OLS DiD (Scaled)"
		local l_nz="0.95(0.05)1.15"
		local l_logx="0.95(0.05)1.15"
		local l_log_modif="0.85(0.1)1.15"
		
		local l_nz="ylabel(, labsize(medium))"
		local l_logx="ylabel(-0.1(0.05)0.1, labsize(medium))"
		*local l_log_modif="ylabel(-0.3(0.15)0.3, labsize(medium))"
		
		local l_09="xlabel(-5(1)1, labsize(medium))"
		local l_10="xlabel(-4(1)1, labsize(medium))"
		local l_11="xlabel(-3(1)1, labsize(medium))"
		local l_16="xlabel(-3(1)2, labsize(medium))"
	
	twoway (conn mean_`est'_`var'0 distt, lcolor(blue) mcolor(blue) msymbol(X) msize(medium)) ///
	(conn mean_`est'_`var'1 distt, color(red) mcolor(red) msize(medium)), ///
	 graphregion(fcolor(white)) ///
	ylabel(`l_`est'', labsize(medium)) `l_`y'' legend(order(2 "Treated" 1 "Control") rows(1) size(small)) ///
	ytitle("Normalized Log Outcome", size(medium)) xline(-0.5, lwidth(medthin) lcolor(black)) ///
	xtitle(Years to Reform, size(medium)) scale(1.2) ///
		note("DiD: `coef_b' (`coef_se') . N Treated:`n_treat', N Control=`n_control'" "Treated: Mean Pre-Reform (`t_pre'), Mean Post-Reform (`t_post')" "Control: Mean Pre-Reform (`c_pre'), Mean Post-Reform (`c_post')")
		
		graph export did_2lines_`var'_`bal'_`y'_`f'_`est'_`w'_`r'_as`as'_esp`eps'_`sec'.pdf, replace
			
	if "`var'" == "nliab" {
		graph save did_2lines_`var'_`bal'_`y'_`f'_`est'_`w'_`r'_as`as'_esp`eps'_`sec'.gph, replace
	}
			
		restore 

	
/*-------------------------------------------------------------------------------
				4.3. EVENT STUDY TYPE GRAPH
*-------------------------------------------------------------------------------*/

		
		local d_09 did_1 did_2 did_3 did_4 did_6 did_7
		local d_10 did_1 did_2 did_3 did_5 did_6
		local d_11 did_1 did_2 did_4 did_5
		local d_12 did_1 did_2 did_4 did_5
		local d_16 did_1 did_2 did_4 did_5 did_6
		local l_logx="ylabel(-0.1(0.05)0.1, labsize(medium))"
		local l_log_modif="ylabel(-0.5(0.1)0.5, labsize(medium))"
		
		* Treatment Effect by period
		`s`est'' `est'_`var' `d_`y'', abs(i.ide i.distt  `fe_`f'') cluster(i.ide)
		local t09 1 2 3 4 6 7
		local t10 1 2 3 5 6
		local t11 1 2 4 5
		local t12 1 2 4 5
		local t16 1 2 4 5 6 
		foreach x in se b {
		foreach dp in `t`y'' {
		gen m`x'_`var'_`dp'=_`x'[did_`dp']
		}
		}
			
			local pp_09 did_1 did_2 did_3 did_4
			local pp_10 did_1 did_2 did_3
			local pp_11 did_1 did_2
			local pp_16 did_1 did_2
			
			local ap_09 did_6 did_7
			local ap_10 did_5 did_6
			local ap_11 did_4 did_5
			local ap_16 did_4 did_5 did_6
			
			egen pre_`y'=rowmax(`pp_`y'')
			egen post_`y'=rowmax(`ap_`y'')
		
			
		keep distt mse_`var'_*  mb_`var'_* 


		foreach dp in `t`y'' {
		gen upper_`var'_`dp'=mb_`var'_`dp'+(mse_`var'_`dp'*1.960)
		gen lower_`var'_`dp'=mb_`var'_`dp'-(mse_`var'_`dp'*1.960)
		}

		keep distt mb_`var'_* upper_* lower_*
		keep if distt==0
		duplicates drop distt, force

		local t09 5 
		local t10 4 
		local t11 3
		local t12 3 
		local t16 3 

		gen mb_`var'_`t`y''=0
		gen upper_`var'_`t`y''=.
		gen lower_`var'_`t`y''=.
		reshape long mb_`var'_ upper_`var'_ lower_`var'_, i(distt) j(period)

		local t09 6 
		local t10 5 
		local t11 4
		local t12 4
		local t16 4 
		replace period=period-`t`y''

		gen value=0

		graph twoway (rcap upper_`var'_ lower_`var'_ period, fcolor(blue) lwidth(0.3) lcolor(blue)) ///
		(scatter mb_`var'_ period, mcolor(blue) msize(small) lcolor(blue)) ///
		(line value  period, lcolor(red) lwidth(medthin)), ///
		ylabel(-0.5(0.1)0.5, labsize(medium)) ///
		graphregion(fcolor(white)) legend(off) `l_`est'' `l_`y''  xline(-0.5, lwidth(medium) lcolor(black)) yline(0, lwidth(medthin) lcolor(red))  ytitle(Point Estimate, size(medium))  ///
	  xtitle(Years to Reform) scale(1.2) ///
	  note("DiD: `coef_b' (`coef_se') . N Treated:`n_treat', N Control=`n_control'" "Treated: Mean Pre-Reform (`t_pre'), Mean Post-Reform (`t_post')" "Control: Mean Pre-Reform (`c_pre'), Mean Post-Reform (`c_post')")
		graph export did_es_`var'_`bal'_`y'_`f'_`est'_`w'_`r'_as`as'_esp`eps'_`sec'.pdf, replace
				

}

/*-------------------------------------------------------------------------------
				5. Synthetic DID
*-------------------------------------------------------------------------------*/

	if `est_m'==2 {
		
	* Variables for SDID
		* Post 
		gen did_treat=retail*post
		egen group=group(ide)
		egen tag=tag(ide)
		
local n1_10 4
local n2_10 6
local n1_11 3
local n2_11 5
local n1_09 5
local n2_09 7 
local n1_16 3
local n2_16 6
		
sdid `est'_`var' group year did_treat, vce(bootstrap) reps($replication) graph  g2_opt(ylab(-4(1)1) ytitle("Output") scheme(sj)) graph_export(output,.pdf) 
local  coef=string(e(ATT), "%15.4fc")
local 	se=string(e(se), "%15.4fc")

count if tag==1 & retail==1
local count_t=r(N)
count if tag==1 & retail==0
local count_c=r(N)

		/* Saving coefficient estimates for later use in tables */
		preserve
		drop _all
		set obs 1 
		
			gen b=`coef'
			gen ste=`se'
			gen n_t=`count_t'
			gen n_c=`count_c'
			
			save "${datadir}/coef_`var'_`bal'_`y'_`est'_`w'_`f'_`r'_`as'_`eps'_`sec'_`est_m'.dta", replace
			
		restore 

				if `y'==13 {
			continue 
		}
 
 		if "`type'"=="table" {
			continue
		}
	
matrix lambda = e(lambda)[1..`n1_`y'',1] //save lambda weight
matrix yco = e(series)[1..`n1_`y'',2] //control baseline
matrix ytr = e(series)[1..`n1_`y'',3] //treated baseline
matrix aux = lambda'*(ytr - yco) //calculate the pre-treatment mean
scalar meanpre_o = aux[1,1]
matrix difference = e(difference)[1..`n2_`y'',1..2] // Store Ytr-Yco
svmat difference
ren (difference1 difference2) (time d)
replace d = d - meanpre_o // Calculate vector in (8)

local b=1
local B =`run'

while `b'<=`B' {
preserve
bsample, cluster(group) idcluster(c2)
qui count if did_treat==0
local r1=r(N)
qui count if did_treat!=0
local r2=r(N)
if (`r1'!=0 & `r2'!=0) { 
sdid `est'_`var' c2 year did_treat, vce(noinference) graph 
matrix lambda_b = e(lambda)[1..`n1_`y'',1] //save lambda weight
matrix yco_b = e(series)[1..`n1_`y'',2] //control baseline
matrix ytr_b = e(series)[1..`n1_`y'',3] //treated baseline
matrix aux_b = lambda_b'*(ytr_b - yco_b) //calculate the pre-treatment mean
matrix meanpre_b = J(`n2_`y'',1,aux_b[1,1])

matrix d`b' = e(difference)[1..`n2_`y'',2] - meanpre_b

local ++b
} 
restore 
}



keep time d
keep if time!=.
replace time=time-2014

forval b=1/`B' { 
    svmat d`b' //import each bootstrap replicate of difference between trends
}

egen rsd = rowsd(d11 - d`B'1) //calculate standard deviation of this difference
gen LCI = d + invnormal(0.025)*rsd //lower bounds on bootstrap CIs
gen UCI = d + invnormal(0.975)*rsd //upper bounds on bootstrap CIs

gen value=0


graph twoway (rcap UCI LCI time, fcolor(blue) lcolor(blue)) ///
(scatter d time, mcolor(blue) msize(small) lcolor(blue)) ///
(line value time, lcolor(red) lwidth(medthin)), ///
ylabel(-0.5(0.1)0.5, labsize(medium)) ///
graphregion(fcolor(white)) legend(off) xtitle("Years to Reform") ytitle("Point Estimate") xlab(-4(1)1) ///
xline(-0.5, lwidth(medium) lcolor(black)) yline(0, lwidth(medthin) lcolor(red)) scale(1.2) ///
note("ATT: `coef' (`se')" "N Treated `count_t' N Control `count_c'")
graph export "event_sdid_`sec'_`est'_`var'_`y'_`bal'_r`random'_`w'_`r'_`eps'.pdf", replace

if `y'== 16 {
graph twoway (rcap UCI LCI time, fcolor(blue) lcolor(blue)) ///
(scatter d time, mcolor(blue) msize(small) lcolor(blue)) ///
(line value time, lcolor(red) lwidth(medthin)), ///
ylabel(-0.5(0.1)0.5, labsize(medium)) ///
graphregion(fcolor(white)) legend(off) xtitle("Years to Reform") ytitle("Point Estimate") xlab(-3(1)2) ///
xline(-0.5, lwidth(medium) lcolor(black)) yline(0, lwidth(medthin) lcolor(red)) scale(1.2) ///
note("ATT: `coef' (`se')" "N Treated `count_t' N Control `count_c'")
graph export "event_sdid_`sec'_`est'_`var'_`y'_`bal'_r`random'_`w'_`r'_`eps'.pdf", replace

}
		
}

}
}
}
}
}
}
}
}
}
}
}
}
}
}