foreach item in $option_did_set  {
	
* Fig 1: 2010-2015 annually balanced panel. Winsorized 99th percentile. 
* Retail with POS vs wholesale / epsilon 10. FE year of incorporation (Preferred Specification)
if "`item'"=="fig1_ab" {
	

global g_var nout s_ta
global g_bal ab 
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type fig 



do "$codes\did_implementation.do" 



}

if "`item'"=="fig1_c" {
	
global g_var nliab
global g_bal ab 
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 2 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 

}

* Fig C1 robustness to alternate specifications
if "`item'"=="figc1_ab" {
	 
global g_var nout s_ta
global g_bal ab ub
global g_y 10 16
global g_est log_modif 
global g_w 99 95
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 


}

if "`item'"=="figc1_ca" {
	

global g_var nliab
global g_bal ab
global g_y 10 
global g_est log_modif 
global g_w 99 95
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 



}

if "`item'"=="figc1_cb" {
	

global g_var nliab
global g_bal ab
global g_y  16
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 



}

*Fig C2 robustness to wholesale without pos
if "`item'"=="figc2_ab" {
	 
global g_var nout s_ta
global g_bal ab 
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r99 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 



}

if "`item'"=="figc2_c" {
	
global g_var nliab
global g_bal ab 
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r99 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 2 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 

}

*Fig c3: Robustness to service sector as control
if "`item'"=="figc3_ab" {
	
*graphs for 3 outcomes using  2010-2016 annually balanced panel. Winsorizes at the 99th percentile. Sample Includes retail with pos pre reform va wholesale 
global g_var nout s_ta
global g_bal qb 
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec serv_101 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 



}

if "`item'"=="figc3_c" {
	 
global g_var nliab
global g_bal qb 
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec serv_101 
global g_est_m 1 2 
global g_random $random_s
global g_run $run_time
global g_type fig 


do "$codes\did_implementation.do" 

}

*Table 1: alternate specifications
if "`item'"=="tab1_ab" {
	
global g_var nout s_ta
global g_bal ab ub 
global g_y 10 16 
global g_est log_modif 
global g_w 99 95 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tab1_ca" {
	
global g_var nliab
global g_bal ab ab 
global g_y  16 
global g_est log_modif 
global g_w 99  
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tab1_cb" {
	 
global g_var nliab
global g_bal ab 
global g_y 10  
global g_est log_modif 
global g_w 99 95 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run 50
global g_type table 
 
do "$codes\did_implementation.do" 

**table 1 
 // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_ab_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_ab_10_log_modif_95_11_r7_1_10_wholesale_1"
	local col3_name="coef_s_ta_ub_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col4_name="coef_s_ta_ub_16_log_modif_99_11_r7_1_10_wholesale_1"
			
	local col5_name="coef_nout_ab_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col6_name="coef_nout_ab_10_log_modif_95_11_r7_1_10_wholesale_1"
	local col7_name="coef_nout_ub_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col8_name="coef_nout_ub_16_log_modif_99_11_r7_1_10_wholesale_1"

	local col9_name="coef_nliab_ab_10_log_modif_99_11_r7_1_10_wholesale_2"
	local col10_name="coef_nliab_ab_10_log_modif_95_11_r7_1_10_wholesale_2"
	local col11_name="coef_nliab_ab_16_log_modif_99_11_r7_1_10_wholesale_2"
	

// Put estimates into locals 
	forvalues x=1(1)11 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"
	}
	

// Write table 
	texdoc init "did_robust_table_logmodif_mixed", force replace
	tex \begin{tabular}{l|ccccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{4}{c}{Panel A: Taxable Sales} \\  \hline
	tex & (1) & (2) & (3) & (4) \\ \hline
	tex Post $\cdot$ Treated & `c1b' & `c2b' & `c3b' & `c4b'      \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e')    \\ \hline
	tex N Treated (Retailers w/ POS) & `c1t'  & `c2t' & `c3t' & `c4t'   \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c'   \\ \hline
	tex & \multicolumn{4}{c}{Panel B: Output VAT} \\ \hline
	tex & (1) & (2) & (3) & (4) \\ \hline
	tex Post $\cdot$ Treated & `c5b' & `c6b' & `c7b' & `c8b'       \\
	tex & (`c5e') & (`c6e') & (`c7e') & (`c8e')   \\ \hline
	tex N Treated (Retailers w/ POS) & `c5t'  & `c6t' & `c7t' & `c8t'   \\
	tex N Control (Wholesalers) & `c5c' & `c6c' & `c7c' & `c8c'   \\ \hline
	tex & \multicolumn{4}{c}{Panel C: Net Liability} \\ \hline
	tex & (1) & (2) & (3) & (4) \\ \hline
	tex Post $\cdot$ Treated & `c9b' & `c10b' & &`c11b'      \\
	tex & (`c9e') & (`c10e') & &  (`c11e')    \\ \hline
	tex N Treated (Retailers w/ POS) & `c9t'  & `c10t' & & `c11t'    \\
	tex N Control (Wholesalers) & `c9c' & `c10c' & &  `c11c'     \\ \hline
	tex Balanced Sample & Y & Y & - & - \\
	tex Unbalanced Sample & - & - & Y & Y*  \\
	tex Winsor at p99 & Y & - & Y & Y  \\
	tex Winsor at p95 & - & Y & - & -  \\
	tex Includes 2016 data & - & - & - & Y  \\ \hline
	tex \end{tabular}
	texdoc close 


}


	* Table c1: robustness to varying epsilon
if "`item'"=="tabc1_ab" {
	
global g_var nout s_ta
global g_bal ab  
global g_y 10 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10 0 20 300
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tabc1_c" {
	
global g_var nliab
global g_bal ab 
global g_y 10  
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10 0 20 300
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 

	 // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_ab_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_ab_10_log_modif_99_11_r7_1_0_wholesale_1"
	local col3_name="coef_s_ta_ab_10_log_modif_99_11_r7_1_20_wholesale_1"
	local col4_name="coef_s_ta_ab_10_log_modif_99_11_r7_1_300_wholesale_1"

	local col5_name="coef_nout_ab_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col6_name="coef_nout_ab_10_log_modif_99_11_r7_1_0_wholesale_1"
	local col7_name="coef_nout_ab_10_log_modif_99_11_r7_1_20_wholesale_1"
	local col8_name="coef_nout_ab_10_log_modif_99_11_r7_1_300_wholesale_1"
	
	local col9_name="coef_nliab_ab_10_log_modif_99_11_r7_1_10_wholesale_2"
	local col10_name="coef_nliab_ab_10_log_modif_99_11_r7_1_0_wholesale_2"
	local col11_name="coef_nliab_ab_10_log_modif_99_11_r7_1_20_wholesale_2"
	local col12_name="coef_nliab_ab_10_log_modif_99_11_r7_1_300_wholesale_2"	
	
// Put estimates into locals 
	forvalues x=1(1)12 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.4fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.4fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"

	}
	
// Write table 
	texdoc init "did_robust_table_epsilon", force replace
	tex \begin{tabular}{l|cccc|cccc|cccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{4}{c}{Taxable Sales} & \multicolumn{4}{c}{Output VAT} & \multicolumn{4}{c}{Net Liability} \\ \hline
	tex & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9) & (10) & (11) & (12) \\ \hline
	tex Post $\cdot$ Treated & `c1b' & `c2b' & `c3b' & `c4b' & `c5b'  & `c6b'  & `c7b'  & `c8b'  & `c9b'  & `c10b'  & `c11b'  & `c12b'   \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e') & (`c7e') & (`c8e') & (`c9e') & (`c10e') & (`c11e') & (`c12e')  \\ \hline
	tex $\epsilon$  & 0.1 & 0 & 0.2 & 3  & 0.1 & 0 & 0.2 & 3 & 0.1 & 0 & 0.2 & 3 \\ \hline
	tex N Treated (Retailers w/ POS) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t' & `c7t' & `c8t' & `c9t' & `c10t' & `c11t' & `c12t' \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c' & `c7c' & `c8c' & `c9c' & `c10c' & `c11c' & `c12c' \\ \hline
	tex \end{tabular}
	texdoc close 

}
	
	
* Table C2 AND C3: extensive and intensive margin
if "`item'"=="tab_c2_ab" {
	

global g_var nout s_ta
global g_bal ab ub
global g_y 10 16
global g_est nz /*logx*/ 
global g_w 99 95 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tab_c2_ca" {
	

global g_var nliab
global g_bal ab 
global g_y  16
global g_est nz  
global g_w 99  
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tab_c2_cb" {
	

global g_var nliab
global g_bal ab
global g_y 10 
global g_est nz  
global g_w 99 95 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 


 foreach t in nz  {
  // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_ab_10_`t'_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_ab_10_`t'_95_11_r7_1_10_wholesale_1"
	local col3_name="coef_s_ta_ub_10_`t'_99_11_r7_1_10_wholesale_1"
	local col4_name="coef_s_ta_ub_16_`t'_99_11_r7_1_10_wholesale_1"
			
	local col5_name="coef_nout_ab_10_`t'_99_11_r7_1_10_wholesale_1"
	local col6_name="coef_nout_ab_10_`t'_95_11_r7_1_10_wholesale_1"
	local col7_name="coef_nout_ub_10_`t'_99_11_r7_1_10_wholesale_1"
	local col8_name="coef_nout_ub_16_`t'_99_11_r7_1_10_wholesale_1"

	local col9_name="coef_nliab_ab_10_`t'_99_11_r7_1_10_wholesale_2"
	local col10_name="coef_nliab_ab_10_`t'_95_11_r7_1_10_wholesale_2"
	local col11_name="coef_nliab_ab_16_`t'_99_11_r7_1_10_wholesale_2"

// Put estimates into locals 
	forvalues x=1(1)11 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"
	
	}
	

// Write table 
	texdoc init "did_robust_table_`t'_mixed", force replace
	tex \begin{tabular}{l|cccc|cccc|ccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{4}{c}{Taxable Sales} & \multicolumn{4}{c}{Output VAT} & \multicolumn{3}{c}{Net Liability} \\ \hline
	tex & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9) & (10) & (11)  \\ \hline
	tex Post $\cdot$ Retailer & `c1b' & `c2b' & `c3b' & `c4b' & `c5b'  & `c6b'  & `c7b'  & `c8b'  & `c9b'  & `c10b'  & `c11b'    \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e') & (`c7e') & (`c8e') & (`c9e') & (`c10e') & (`c11e')  \\ \hline
	tex Balanced Sample & Y & Y & -  & -  & Y & Y & -  & -  & Y & Y & Y  \\
	tex Unbalanced Sample & -  & -  & Y & Y & -  & -  & Y & Y & -  & -  & -  \\
	tex Winsor at p99 & Y & -  & Y & Y & Y & -  & Y  & Y &  Y & -  & Y  \\
	tex Winsor at p95 & -  & Y & -  & -  & -  & Y & -  & -  & -  & Y & -   \\ 
	tex Includes 2016 data & -  & -  & -  & Y  & -  & -  & -  & Y & -  & -  & Y \\ \hline
	tex N Treated (Retailers) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t' & `c7t' & `c8t' & `c9t' & `c10t' & `c11t'  \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c' & `c7c' & `c8c' & `c9c' & `c10c' & `c11c'  \\ \hline
	tex \end{tabular}
	texdoc close 
 }

}

if "`item'"=="tab_c3_ab" {
	

global g_var nout s_ta
global g_bal ab ub
global g_y 10 16
global g_est logx
global g_w 99 95 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tab_c3_ca" {
	

global g_var nliab
global g_bal ab 
global g_y  16
global g_est logx 
global g_w 99  
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tab_c3_cb" {
	

global g_var nliab
global g_bal ab
global g_y 10 
global g_est logx 
global g_w 99 95 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 


 foreach t in  logx {
  // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_ab_10_`t'_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_ab_10_`t'_95_11_r7_1_10_wholesale_1"
	local col3_name="coef_s_ta_ub_10_`t'_99_11_r7_1_10_wholesale_1"
	local col4_name="coef_s_ta_ub_16_`t'_99_11_r7_1_10_wholesale_1"
			
	local col5_name="coef_nout_ab_10_`t'_99_11_r7_1_10_wholesale_1"
	local col6_name="coef_nout_ab_10_`t'_95_11_r7_1_10_wholesale_1"
	local col7_name="coef_nout_ub_10_`t'_99_11_r7_1_10_wholesale_1"
	local col8_name="coef_nout_ub_16_`t'_99_11_r7_1_10_wholesale_1"

	local col9_name="coef_nliab_ab_10_`t'_99_11_r7_1_10_wholesale_2"
	local col10_name="coef_nliab_ab_10_`t'_95_11_r7_1_10_wholesale_2"
	local col11_name="coef_nliab_ab_16_`t'_99_11_r7_1_10_wholesale_2"

// Put estimates into locals 
	forvalues x=1(1)11 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"
	
	}
	

// Write table 
	texdoc init "did_robust_table_`t'_mixed", force replace
	tex \begin{tabular}{l|cccc|cccc|ccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{4}{c}{Taxable Sales} & \multicolumn{4}{c}{Output VAT} & \multicolumn{3}{c}{Net Liability} \\ \hline
	tex & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9) & (10) & (11)  \\ \hline
	tex Post $\cdot$ Retailer & `c1b' & `c2b' & `c3b' & `c4b' & `c5b'  & `c6b'  & `c7b'  & `c8b'  & `c9b'  & `c10b'  & `c11b'    \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e') & (`c7e') & (`c8e') & (`c9e') & (`c10e') & (`c11e')  \\ \hline
	tex Balanced Sample & Y & Y & -  & -  & Y & Y & -  & -  & Y & Y & Y  \\
	tex Unbalanced Sample & -  & -  & Y & Y & -  & -  & Y & Y & -  & -  & -  \\
	tex Winsor at p99 & Y & -  & Y & Y & Y & -  & Y  & Y &  Y & -  & Y  \\
	tex Winsor at p95 & -  & Y & -  & -  & -  & Y & -  & -  & -  & Y & -   \\ 
	tex Includes 2016 data & -  & -  & -  & Y  & -  & -  & -  & Y & -  & -  & Y \\ \hline
	tex N Treated (Retailers) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t' & `c7t' & `c8t' & `c9t' & `c10t' & `c11t'  \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c' & `c7c' & `c8c' & `c9c' & `c10c' & `c11c'  \\ \hline
	tex \end{tabular}
	texdoc close 
 }

}
	

 * Robustness to different balancing samples and FE
 if "`item'"=="tab_c4" {
	 
global g_var nout s_ta
global g_bal ab ub sb qb 
global g_y 10 
global g_est log_modif
global g_w 99  
global g_f 11 2 4
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 

   // Determine which data sets = specification belongs to which column

  foreach bal in ab ub sb qb  {
	local col1_name="coef_s_ta_`bal'_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_`bal'_10_log_modif_99_2_r7_1_10_wholesale_1"
	local col3_name="coef_s_ta_`bal'_10_log_modif_99_4_r7_1_10_wholesale_1"

 	local col4_name="coef_nout_`bal'_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col5_name="coef_nout_`bal'_10_log_modif_99_2_r7_1_10_wholesale_1"
	local col6_name="coef_nout_`bal'_10_log_modif_99_4_r7_1_10_wholesale_1"
	
// Put estimates into locals 
	forvalues x=1(1)6 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"

	}
	
// Write table 
	texdoc init "did_robust_table_fixedeffects_`bal'", force replace
	tex \begin{tabular}{l|ccc|ccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{3}{c}{Taxable Sales} & \multicolumn{3}{c}{Output VAT} \\ \hline
	tex & (1) & (2) & (3) & (4)  & (5) & (6) \\ \hline
	tex Post $\cdot$ Treated & `c1b' & `c2b' & `c3b' & `c4b' & `c5b' & `c6b'   \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e') \\ \hline 
	tex Incorporation\_Year*Year & Y & Y & Y & Y & Y & Y  \\
	tex State*Year & - & Y & Y & - & Y & Y  \\
	tex Firm\_Size\_Decile*Year & - & - & Y  & - & - & Y  \\ \hline
	tex N Treated (Retailers w/ POS) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t' \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c' \\ \hline
	tex \end{tabular}
	texdoc close 	
	// Note: all is 2010-15, winsor p99
 
}


}


* Table C5: monthly estimates and robustness to different balancing samples and FE
 if "`item'"=="tab_c5" {
	

global g_var nout s_ta
global g_bal ab ub sb qb 
global g_y 13
global g_est log_modif
global g_w 99  
global g_f 11 2 3
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 


 foreach bal in ab qb ub {
 
 // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_`bal'_13_log_modif_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_`bal'_13_log_modif_99_2_r7_1_10_wholesale_1"
	local col3_name="coef_s_ta_`bal'_13_log_modif_99_3_r7_1_10_wholesale_1"
	
	local col4_name="coef_nout_`bal'_13_log_modif_99_11_r7_1_10_wholesale_1"
	local col5_name="coef_nout_`bal'_13_log_modif_99_2_r7_1_10_wholesale_1"
	local col6_name="coef_nout_`bal'_13_log_modif_99_3_r7_1_10_wholesale_1"

	
// Put estimates into locals 
	forvalues x=1(1)6 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"

	}
	
// Write table 
	texdoc init "did_robust_table_month_did_`bal'", force replace
	tex \begin{tabular}{l|ccc|ccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{3}{c}{Taxable Sales} & \multicolumn{3}{c}{Output VAT}  \\ \hline
	tex & (1) & (2) & (3) & (4) & (5) & (6)    \\ \hline
	tex Post $\cdot$ Treated & `c1b' & `c2b' & `c3b' & `c4b' & `c5b'  & `c6b'      \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e')    \\ \hline
	tex N Treated (Retailers w/ POS) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t'   \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c'  \\ \hline
	tex Incorporation Year*Month FE & Y & Y  & Y  & Y & Y & Y    \\
	tex Region*Month FE & -  & Y & Y  & -  & Y & Y      \\
	tex Large Firm*Month FE & -  & -  & Y & -  & -  & Y   \\ \hline
	tex \end{tabular}
	texdoc close 
 }

}

*table 6, robustness to varying time frame
if "`item'"=="tabc6_ab" {
	
global g_var nout s_ta
global g_bal ab  
global g_y 09 10 11 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}

if "`item'"=="tabc6_c" {
	
*graphs for 3 outcomes using  2010-2016 annually balanced panel. Winsorizes at the 99th percentile. Sample Includes retail with pos pre reform va wholesale 
global g_var nliab
global g_bal ab 
global g_y 09 10 11 
global g_est log_modif 
global g_w 99 
global g_f 11 
global g_r r7 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 

**table C6
 // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_ab_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col2_name="coef_s_ta_ab_09_log_modif_99_11_r7_1_10_wholesale_1"
	local col3_name="coef_s_ta_ab_11_log_modif_99_11_r7_1_10_wholesale_1"

	local col4_name="coef_nout_ab_10_log_modif_99_11_r7_1_10_wholesale_1"
	local col5_name="coef_nout_ab_09_log_modif_99_11_r7_1_10_wholesale_1"
	local col6_name="coef_nout_ab_11_log_modif_99_11_r7_1_10_wholesale_1"

	local col7_name="coef_nliab_ab_10_log_modif_99_11_r7_1_10_wholesale_2"
	local col8_name="coef_nliab_ab_09_log_modif_99_11_r7_1_10_wholesale_2"
	local col9_name="coef_nliab_ab_11_log_modif_99_11_r7_1_10_wholesale_2"

// Put estimates into locals 
	forvalues x=1(1)9 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"

	}
	

// Write table 
	texdoc init "did_robust_table_lengthvary", force replace
	tex \begin{tabular}{l|ccc|ccc|ccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{3}{c}{Taxable Sales} & \multicolumn{3}{c}{Output VAT} & \multicolumn{3}{c}{Net Liability} \\ \hline
	tex & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9)  \\ \hline
	tex Post $\cdot$ Treated & `c1b' & `c2b' & `c3b' & `c4b' & `c5b'  & `c6b'  & `c7b'  & `c8b'  & `c9b'    \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e') & (`c7e') & (`c8e') & (`c9e')   \\ \hline
	tex Balanced Sample & Y & Y & Y & Y & Y & Y & Y & Y & Y \\
	tex Winsor at p99 & Y & Y & Y & Y & Y & Y & Y & Y & Y \\
	tex Start in 2010 & Y & - & -  & Y & - & -  & Y & - & - \\
	tex Start in 2009 & - & Y & -  & - & Y & -  & - & Y & - \\
	tex Start in 2011 & - & - & Y  & - & - & Y & - & - & Y \\ \hline
	tex N Treated (Retailers w/ POS) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t' & `c7t' & `c8t' & `c9t'  \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c' & `c7c' & `c8c' & `c9c'  \\ \hline
	tex \end{tabular}
	texdoc close 


}


 * Table C7: same as table 1, but using wholesale without POS as control 
if "`item'"=="tabc7_ab" {
	
global g_var nout s_ta
global g_bal ab ub 
global g_y 10 16 
global g_est log_modif 
global g_w 99 95 
global g_f 11 
global g_r r99 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 1 
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 



}


if "`item'"=="tabc7_c" {
	
*graphs for 3 outcomes using  2010-2016 annually balanced panel. Winsorizes at the 99th percentile. Sample Includes retail with pos pre reform va wholesale 
global g_var nliab
global g_bal ab 
global g_y 10 16 
global g_est log_modif 
global g_w 99 95 
global g_f 11 
global g_r r99 
global g_as 1
global g_eps 10
global g_sec wholesale 
global g_est_m 2
global g_random $random_s
global g_run $run_time
global g_type table 


do "$codes\did_implementation.do" 

**table 1 
 // Determine which data sets = specification belongs to which column
	local col1_name="coef_s_ta_ab_10_log_modif_99_11_r99_1_10_wholesale_1"
	local col2_name="coef_s_ta_ab_10_log_modif_95_11_r99_1_10_wholesale_1"
	local col3_name="coef_s_ta_ub_10_log_modif_99_11_r99_1_10_wholesale_1"
	local col4_name="coef_s_ta_ub_16_log_modif_99_11_r99_1_10_wholesale_1"
			
	local col5_name="coef_nout_ab_10_log_modif_99_11_r99_1_10_wholesale_1"
	local col6_name="coef_nout_ab_10_log_modif_95_11_r99_1_10_wholesale_1"
	local col7_name="coef_nout_ub_10_log_modif_99_11_r99_1_10_wholesale_1"
	local col8_name="coef_nout_ub_16_log_modif_99_11_r99_1_10_wholesale_1"

	local col9_name="coef_nliab_ab_10_log_modif_99_11_r99_1_10_wholesale_2"
	local col10_name="coef_nliab_ab_10_log_modif_95_11_r99_1_10_wholesale_2"
	local col11_name="coef_nliab_ab_16_log_modif_99_11_r99_1_10_wholesale_2"
	

// Put estimates into locals 
	forvalues x=1(1)11 {
	
		u "${datadir}/`col`x'_name'.dta", clear

		sum b
		local c`x'b=string(`r(mean)', "%15.3fc")
		sum ste
		local c`x'e=string(`r(mean)', "%15.3fc")
		sum n_t
		local c`x't=`r(mean)'
		sum n_c
		local c`x'c=`r(mean)'
		erase "${datadir}/`col`x'_name'.dta"
	}
	

// Write table 
	texdoc init "did_robust_table_logmodif_mixed_r99", force replace
	tex \begin{tabular}{l|cccc|cccc|ccc}
	tex \hline 
	tex \hline 
	tex & \multicolumn{4}{c}{Taxable Sales} & \multicolumn{4}{c}{Output VAT} & \multicolumn{3}{c}{Net Liability} \\ \hline
	tex & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9) & (10) & (11)  \\ \hline
	tex Post $\cdot$ Treated & `c1b' & `c2b' & `c3b' & `c4b' & `c5b'  & `c6b'  & `c7b'  & `c8b'  & `c9b'  & `c10b'  & `c11b'    \\
	tex & (`c1e') & (`c2e') & (`c3e') & (`c4e') & (`c5e') & (`c6e') & (`c7e') & (`c8e') & (`c9e') & (`c10e') & (`c11e')  \\ \hline
	tex Balanced Sample & Y & Y & -  & -  & Y & Y & -  & -  & Y & Y & Y  \\
	tex Unbalanced Sample & -  & -  & Y & Y & -  & -  & Y & Y & -  & -  & -  \\
	tex Winsor at p99 & Y & -  & Y & Y & Y & -  & Y  & Y &  Y & -  & Y  \\
	tex Winsor at p95 & -  & Y & -  & -  & -  & Y & -  & -  & -  & Y & -   \\ 
	tex Includes 2016 data & -  & -  & -  & Y  & -  & -  & -  & Y & -  & -  & Y \\ \hline
	tex N Treated (Retailers w/ POS) & `c1t'  & `c2t' & `c3t' & `c4t' & `c5t' & `c6t' & `c7t' & `c8t' & `c9t' & `c10t' & `c11t'  \\
	tex N Control (Wholesalers) & `c1c' & `c2c' & `c3c' & `c4c' & `c5c' & `c6c' & `c7c' & `c8c' & `c9c' & `c10c' & `c11c'  \\ \hline
	tex \end{tabular}
	texdoc close 


}


}





  

	
	

