local panels ab 
foreach var in nout s_ta nliab nin {
foreach bal in `panels'   {
foreach y in  10  {
foreach eps in  10 {

use "${datadir}/data_`bal'_`y'.dta", clear


**keeping retail and wholesale 
keep if retail==1 | wholesale==1 

		gen distt=year-2014
		gen post=(distt>=0) 
		gen post_retail=post*retail 

	*POS pre reform
		egen card_pre_aux=max(hascard), by(post ide)
		replace card_pre_aux=. if post==1
		egen card_pre=mean(card_pre_aux), by(ide)
				
	*keeping retail firm with pos and wholesale
	gen r7=((retail==1 & card_pre==1) | retail==0)
	keep if r7==1
	


rename total_tsales s_ta
rename rtaxsale out 
rename rtaxpur input 
rename rnetliab liab
rename total_sales stot
rename aoutput nout
rename ainput nin 
rename aliability nliab


replace year_birth=1950 if year_birth<=1950


keep liab hascard retail wholesale ide year cede codgiro coddeptofiscal stot s_ta out nout nliab year_birth post distt card_pre post_retail nin 

* RD Size sector 
gen sector4=floor(codgiro/10)
merge m:1 sector4 using "${datadir}/rd_coef_retail_wholesale_sub.dta" 
drop _merge

* RD Size by region 
merge m:1 coddeptofiscal using "${datadir}/rd_coef_retail_wholesale_reg.dta" 
drop _merge


*interactions for regresions
foreach v in rd_s_sales rd_s_count rd_r_sales rd_r_count  {
	gen post_`v'=(post*`v')
	gen post_retail_`v'=(post*retail*`v')
}

*winsorizing 
winsor2 `var', suffix(_99) cuts(0 99) by(year retail)

*constructing outcome 
		gen aux2=`var'_99
		replace aux2=. if `var'_99==0
		egen minvar=min(aux2)
		sum minvar
		gen log_modif_`var'=log(`var'_99/(minvar))
		replace log_modif_`var'=-(`eps'/100) if `var'_99==0
		
		local a10 rd_s_sales
		local a11 rd_s_count
		local a14 rd_r_sales
		local a15 rd_r_count
		
		foreach s  in 10 11 14 15 {
		reghdfe log_modif_`var' post_retail post_`a`s'' post_retail_`a`s'', absorb(i.ide i.distt i.year_birth#i.year) cluster(i.ide)
		foreach x in se b {
		local l`s'_`x'_`var'_`bal'_`y'_`eps'=string(_`x'[post_retail], "%15.3fc")
		local m`s'_`x'_`var'_`bal'_`y'_`eps'=string(_`x'[post_`a`s''], "%15.3fc")
		local n`s'_`x'_`var'_`bal'_`y'_`eps'=string(_`x'[post_retail_`a`s''], "%15.3fc")
		}
		
		gen s`s'_`var'_`bal'_`y'_`eps'=e(sample)
		egen t`s'_`var'_`bal'_`y'_`eps'=tag(ide) if s`s'_`var'_`bal'_`y'_`eps'==1
		count if s`s'_`var'_`bal'_`y'_`eps'==1 & t`s'_`var'_`bal'_`y'_`eps'==1 & retail==1
		local nt`s'_`var'_`bal'_`y'_`eps'=string(r(N), "%15.0fc" )
		count if s`s'_`var'_`bal'_`y'_`eps'==1 & t`s'_`var'_`bal'_`y'_`eps'==1 & retail==0
		local nc`s'_`var'_`bal'_`y'_`eps'=string(r(N), "%15.0fc" )
		}

}
}
}
}

				
foreach bal in ab {
foreach y in 10 {
texdoc init "triple_did_stata_n_`bal'_rd_final", force replace
tex \begin{tabular}{lcccc}\hline
tex & Taxable Sales & Output VAT & Input VAT  & Net Liability  \\
tex & (1)  & (2) & (3) & (4) \\  \hline
tex & & & & \\
tex \multicolumn{5}{c}{A. Interaction With Subsector-Level RD Coefficent for Volume of Card Transactions} \\   \hline
tex Post $\cdot$ Treated & `l10_b_s_ta_`bal'_`y'_10' & `l10_b_nout_`bal'_`y'_10' & `l10_b_nin_`bal'_`y'_10'  & `l10_b_nliab_`bal'_`y'_10'  \\
tex & (`l10_se_s_ta_`bal'_`y'_10') & (`l10_se_nout_`bal'_`y'_10') & (`l10_se_nin_`bal'_`y'_10')  & (`l10_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ (RD Coefficient$>p50$) & `m10_b_s_ta_`bal'_`y'_10' & `m10_b_nout_`bal'_`y'_10' & `m10_b_nin_`bal'_`y'_10'  & `m10_b_nliab_`bal'_`y'_10'  \\
tex & (`m10_se_s_ta_`bal'_`y'_10') & (`m10_se_nout_`bal'_`y'_10') & (`m10_se_nin_`bal'_`y'_10')  & (`m10_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ Treated $\cdot$ (RD Coefficient$>p50$) & `n10_b_s_ta_`bal'_`y'_10' & `n10_b_nout_`bal'_`y'_10' & `n10_b_nin_`bal'_`y'_10'  & `n10_b_nliab_`bal'_`y'_10'  \\
tex & (`n10_se_s_ta_`bal'_`y'_10') & (`n10_se_nout_`bal'_`y'_10') & (`n10_se_nin_`bal'_`y'_10')  & (`n10_se_nliab_`bal'_`y'_10')  \\ \hline
tex & & & & \\
tex \multicolumn{5}{c}{B. Interaction With Subsector-Level RD Coefficent for Number of Card Transactions} \\   \hline
tex Post $\cdot$ Treated & `l11_b_s_ta_`bal'_`y'_10' & `l11_b_nout_`bal'_`y'_10' & `l11_b_nin_`bal'_`y'_10'  & `l11_b_nliab_`bal'_`y'_10'  \\
tex & (`l11_se_s_ta_`bal'_`y'_10') & (`l11_se_nout_`bal'_`y'_10') & (`l11_se_nin_`bal'_`y'_10')  & (`l11_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ (RD Coefficient$>p50$) & `m11_b_s_ta_`bal'_`y'_10' & `m11_b_nout_`bal'_`y'_10' & `m11_b_nin_`bal'_`y'_10'  & `m11_b_nliab_`bal'_`y'_10'  \\
tex & (`m11_se_s_ta_`bal'_`y'_10') & (`m11_se_nout_`bal'_`y'_10') & (`m11_se_nin_`bal'_`y'_10')  & (`m11_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ Treated $\cdot$ (RD Coefficient$>p50$) & `n11_b_s_ta_`bal'_`y'_10' & `n11_b_nout_`bal'_`y'_10' & `n11_b_nin_`bal'_`y'_10'  & `n11_b_nliab_`bal'_`y'_10'  \\
tex & (`n11_se_s_ta_`bal'_`y'_10') & (`n11_se_nout_`bal'_`y'_10') & (`n11_se_nin_`bal'_`y'_10')  & (`n11_se_nliab_`bal'_`y'_10')  \\ \hline
tex & & & & \\
tex \multicolumn{5}{c}{C. Interaction With Region-Level RD Coefficent for Volume of Card Transactions} \\  \hline
tex Post $\cdot$ Treated & `l14_b_s_ta_`bal'_`y'_10' & `l14_b_nout_`bal'_`y'_10' & `l14_b_nin_`bal'_`y'_10'  & `l14_b_nliab_`bal'_`y'_10'  \\
tex & (`l14_se_s_ta_`bal'_`y'_10') & (`l14_se_nout_`bal'_`y'_10') & (`l14_se_nin_`bal'_`y'_10')  & (`l14_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ (RD Coefficient$>p50$) & `m14_b_s_ta_`bal'_`y'_10' & `m14_b_nout_`bal'_`y'_10' & `m14_b_nin_`bal'_`y'_10'  & `m14_b_nliab_`bal'_`y'_10'  \\
tex & (`m14_se_s_ta_`bal'_`y'_10') & (`m14_se_nout_`bal'_`y'_10') & (`m14_se_nin_`bal'_`y'_10')  & (`m14_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ Treated $\cdot$ (RD Coefficient$>p50$) & `n14_b_s_ta_`bal'_`y'_10' & `n14_b_nout_`bal'_`y'_10' & `n14_b_nin_`bal'_`y'_10'  & `n14_b_nliab_`bal'_`y'_10'  \\
tex & (`n14_se_s_ta_`bal'_`y'_10') & (`n14_se_nout_`bal'_`y'_10') & (`n14_se_nin_`bal'_`y'_10')  & (`n14_se_nliab_`bal'_`y'_10')  \\ \hline
tex & & & & \\
tex \multicolumn{5}{c}{D. Interaction With Region-Level RD Coefficent for Number of Card Transactions} \\   \hline
tex Post $\cdot$ Treated & `l15_b_s_ta_`bal'_`y'_10' & `l15_b_nout_`bal'_`y'_10' & `l15_b_nin_`bal'_`y'_10'  & `l15_b_nliab_`bal'_`y'_10'  \\
tex & (`l15_se_s_ta_`bal'_`y'_10') & (`l15_se_nout_`bal'_`y'_10') & (`l15_se_nin_`bal'_`y'_10')  & (`l15_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ (RD Coefficient$>p50$) & `m15_b_s_ta_`bal'_`y'_10' & `m15_b_nout_`bal'_`y'_10' & `m15_b_nin_`bal'_`y'_10'  & `m15_b_nliab_`bal'_`y'_10'  \\
tex & (`m15_se_s_ta_`bal'_`y'_10') & (`m15_se_nout_`bal'_`y'_10') & (`m15_se_nin_`bal'_`y'_10')  & (`m15_se_nliab_`bal'_`y'_10')  \\
tex Post $\cdot$ Treated $\cdot$ (RD Coefficient$>p50$) & `n15_b_s_ta_`bal'_`y'_10' & `n15_b_nout_`bal'_`y'_10' & `n15_b_nin_`bal'_`y'_10'  & `n15_b_nliab_`bal'_`y'_10'  \\
tex & (`n15_se_s_ta_`bal'_`y'_10') & (`n15_se_nout_`bal'_`y'_10') & (`n15_se_nin_`bal'_`y'_10')  & (`n15_se_nliab_`bal'_`y'_10')  \\ \hline
tex N Treated  & `nt15_s_ta_`bal'_`y'_10' & `nt15_nout_`bal'_`y'_10'  & `nt15_nin_`bal'_`y'_10'  & `nt15_nliab_`bal'_`y'_10'  \\ 
tex N Control & `nc15_s_ta_`bal'_`y'_10' & `nc15_nout_`bal'_`y'_10'  & `nc15_nin_`bal'_`y'_10'  & `nc15_nliab_`bal'_`y'_10'  \\  \hline
tex \end{tabular}
texdoc close 
}
}





