	
use "$datadir\card_transaction_biweekly_rd.dta", clear

	gen post=(distt>=0)
	gen inter=distt*post 
   
	gen lnsales=ln(tot_sales)
	gen lntrans=ln(count_trans)
	gen lnpos=ln(count_pos)
	gen lnfirms=ln(count_firms)
	gen running=(distt-0)
	gen running_sq=(running*running)
	gen inter_sq=(running_sq*post)
	
	tsset distt

	foreach y in lnsales lntrans lnpos lnfirms {
	gen l`y'=l.`y'
	gen l`y'2=l.l`y'
}

		local h_lnsales_1 6
		local h_lnsales_2 9
		local h_lntrans_1 7
		local h_lntrans_2 11
		local h_lnpos_1 9
		local h_lnpos_2 12
		local h_lnfirms_1 8
		local h_lnfirms_2 11
		
	
		foreach y in lnsales lntrans lnpos lnfirms {
		foreach P in 1 2 { 
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month)
		local mean_`y'`P'_b1=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_b1=string(e(se_tau_cl), "%15.3fc")
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month l`y')
		local mean_`y'`P'_b2=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_b2=string(e(se_tau_cl), "%15.3fc")
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month l`y' l`y'2)
		local mean_`y'`P'_b3=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_b3=string(e(se_tau_cl), "%15.3fc")
		}
		}
		
				
		local hlntrans1=7
		local hlntrans2=11
		local hlnsales1=6
		local hlnsales2=9
		local hlnpos1=9
		local hlnpos2=12
		local hlnfirms1=8
		local hlnfirms2=11
		
		
	foreach y in lnsales lntrans lnpos lnfirms {
	prais `y' running post month inter if running>=-`h`y'1' & running<=`h`y'1', robust corc
	local amean_`y'1_b1=string(_b[post], "%15.3fc")
	local ase_`y'1_b1=string(_se[post], "%15.3fc")
	prais `y' running post month running_sq inter inter_sq if running>=-`h`y'2' & running<=`h`y'2', robust corc
	local amean_`y'2_b1=string(_b[post], "%15.3fc")
	local ase_`y'2_b1=string(_se[post], "%15.3fc")
			}		
use "$datadir\card_transaction_weekly_rd.dta", clear


*rename count_pos count_pos_c
	gen distt=week_since_reform 
	gen post=(distt>=0)
	gen inter=distt*post 
	gen running=(distt-0)
	gen running_sq=(running*running)
	gen inter_sq=(running_sq*post)
	tsset week_since_reform
    
	gen lnsales=ln(tot_sales)
	gen lntrans=ln(count_trans)
	gen lnpos=ln(count_pos)
	gen lnfirms=ln(count_firms)

	
	foreach y in lnsales lntrans lnpos lnfirms {
	gen l`y'=l.`y'
	gen l`y'2=l.l`y'

}

		local h_lnsales_1 15
		local h_lnsales_2 18
		local h_lntrans_1 18
		local h_lntrans_2 39
		local h_lnpos_1 24
		local h_lnpos_2 32
		local h_lnfirms_1 18
		local h_lnfirms_2 30

		foreach y in lnsales lntrans lnpos lnfirms {
		foreach P in 1 2 {
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month)
		local mean_`y'`P'_w1=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_w1=string(e(se_tau_cl), "%15.3fc")
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month l`y')
		local mean_`y'`P'_w2=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_w2=string(e(se_tau_cl), "%15.3fc")
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month l`y' l`y'2)
		local mean_`y'`P'_w3=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_w3=string(e(se_tau_cl), "%15.3fc")
		}
		}
				
		local hlntrans1=18
		local hlntrans2=39
		local hlnsales1=15
		local hlnsales2=18
		local hlnpos1=24
		local hlnpos2=32
		local hlnfirms1=18
		local hlnfirms2=30
		
	foreach y in lnsales lntrans lnpos lnfirms {
	prais `y' running post month inter if running>=-`h`y'1' & running<=`h`y'1', robust corc
	local amean_`y'1_w1=string(_b[post], "%15.3fc")
	local ase_`y'1_w1=string(_se[post], "%15.3fc")
	prais `y' running post month running_sq inter inter_sq if running>=-`h`y'2' & running<=`h`y'2', robust corc
	local amean_`y'2_w1=string(_b[post], "%15.3fc")
	local ase_`y'2_w1=string(_se[post], "%15.3fc")
}


use "$datadir\card_transaction_daily_rd.dta", clear

gen post=(distt>=0)
gen inter=distt*post 
	
gen running=(distt-0)
gen running_sq=running^2
gen inter_sq=inter*running_sq
	gen lnsales=ln(tot_sales)
	gen lntrans=ln(count_trans)
	gen lnpos=ln(count_pos)
	gen lnfirms=ln(count_firms)


tsset distt
		
	foreach y in lnsales lntrans lnpos lnfirms {
	gen l`y'=l.`y'
	gen l`y'2=l.l`y'
}

		local h_lnsales_1 131
		local h_lnsales_2 150
		local h_lntrans_1 133
		local h_lntrans_2 218
		local h_lnpos_1 141
		local h_lnpos_2 236
		local h_lnfirms_1 168
		local h_lnfirms_2 271
		

		
		foreach y in lnsales lntrans lnpos lnfirms {
		foreach P in 1 2 { 
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month dow)
		local mean_`y'`P'_d1=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_d1=string(e(se_tau_cl), "%15.3fc")
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month dow l`y')
		local mean_`y'`P'_d2=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_d2=string(e(se_tau_cl), "%15.3fc")
		rdrobust `y' running, c(0) p(`P') h(`h_`y'_`P'') covs(month dow l`y' l`y'2)
		local mean_`y'`P'_d3=string(e(tau_cl), "%15.3fc")
		local se_`y'`P'_d3=string(e(se_tau_cl), "%15.3fc")
		}
		}

		local hlnsales1=131
		local hlnsales2=150
		local hlntrans1=133
		local hlntrans2=218
		local hlnpos1=141
		local hlnpos2=236
		local hlnfirms1=168
		local hlnfirms2=271
		
	foreach y in lnsales lntrans lnpos lnfirms {
	prais `y' running post month inter if running>=-`h`y'1' & running<=`h`y'1', robust corc
	local amean_`y'1_d1=string(_b[post], "%15.3fc")
	local ase_`y'1_d1=string(_se[post], "%15.3fc")
	prais `y' running post month running_sq inter inter_sq if running>=-`h`y'2' & running<=`h`y'2', robust corc
	local amean_`y'2_d1=string(_b[post], "%15.3fc")
	local ase_`y'2_d1=string(_se[post], "%15.3fc")
}



texdoc init "rdd_autoregression_lag1.tex", force replace
tex	\begin{tabular}{lcccc} \toprule
tex \hline
tex & \multicolumn{2}{c}{Prefered Specification} & \multicolumn{2}{c}{Control: Lag 1} \\
tex & (1) & (2) & (3) & (4)   \\ \hline
tex \multicolumn{5}{l}{A: Bi-weekly Specification} \\
tex Number of Card Transactions & `mean_lntrans1_b1' & `mean_lntrans2_b1' & `mean_lntrans1_b2' & `mean_lntrans2_b2' \\
tex  & (`se_lntrans1_b1') & (`se_lntrans2_b1') & (`se_lntrans1_b2') & (`se_lntrans2_b2')  \\
tex Volume of Card Transactions & `mean_lnsales1_b1' & `mean_lnsales2_b1' & `mean_lnsales1_b2' & `mean_lnsales2_b2' \\
tex  & (`se_lnsales1_b1') & (`se_lnsales2_b1') & (`se_lnsales1_b2') & (`se_lnsales2_b2')  \\
tex Number POS & `mean_lnpos1_b1' & `mean_lnpos2_b1' & `mean_lnpos1_b2' & `mean_lnpos2_b2' \\
tex  & (`se_lnpos1_b1') & (`se_lnpos2_b1') & (`se_lnpos1_b2') & (`se_lnpos2_b2')  \\
tex Number of Firms with a POS & `mean_lnfirms1_b1' & `mean_lnfirms2_b1' & `mean_lnfirms1_b2' & `mean_lnfirms2_b2' \\
tex  & (`se_lnfirms1_b1') & (`se_lnfirms2_b1') & (`se_lnfirms1_b2') & (`se_lnfirms2_b2')  \\
tex \hline
tex \multicolumn{5}{l}{B: Weekly Specification} \\
tex Number of Card Transactions & `mean_lntrans1_w1' & `mean_lntrans2_w1' & `mean_lntrans1_w2' & `mean_lntrans2_w2' \\
tex  & (`se_lntrans1_w1') & (`se_lntrans2_w1') & (`se_lntrans1_w2') & (`se_lntrans2_w2')  \\
tex Volume of Card Transactions & `mean_lnsales1_w1' & `mean_lnsales2_w1' & `mean_lnsales1_w2' & `mean_lnsales2_w2' \\
tex  & (`se_lnsales1_w1') & (`se_lnsales2_w1') & (`se_lnsales1_w2') & (`se_lnsales2_w2')  \\
tex Number POS & `mean_lnpos1_w1' & `mean_lnpos2_w1' & `mean_lnpos1_w2' & `mean_lnpos2_w2' \\
tex  & (`se_lnpos1_w1') & (`se_lnpos2_w1') & (`se_lnpos1_w2') & (`se_lnpos2_w2')  \\
tex Number of Firms with a POS & `mean_lnfirms1_w1' & `mean_lnfirms2_w1' & `mean_lnfirms1_w2' & `mean_lnfirms2_w2' \\
tex  & (`se_lnfirms1_w1') & (`se_lnfirms2_w1') & (`se_lnfirms1_w2') & (`se_lnfirms2_w2')  \\
tex \hline
tex \multicolumn{5}{l}{C: Daily Specification} \\
tex Number of Card Transactions & `mean_lntrans1_d1' & `mean_lntrans2_d1' & `mean_lntrans1_d2' & `mean_lntrans2_d2' \\
tex  & (`se_lntrans1_d1') & (`se_lntrans2_d1') & (`se_lntrans1_d2') & (`se_lntrans2_d2')  \\
tex Volume of Card Transactions & `mean_lnsales1_d1' & `mean_lnsales2_d1' & `mean_lnsales1_d2' & `mean_lnsales2_d2' \\
tex  & (`se_lnsales1_d1') & (`se_lnsales2_d1') & (`se_lnsales1_d2') & (`se_lnsales2_d2')  \\
tex Number POS & `mean_lnpos1_d1' & `mean_lnpos2_d1' & `mean_lnpos1_d2' & `mean_lnpos2_d2' \\
tex  & (`se_lnpos1_d1') & (`se_lnpos2_d1') & (`se_lnpos1_d2') & (`se_lnpos2_d2')  \\
tex Number of Firms with a POS & `mean_lnfirms1_d1' & `mean_lnfirms2_d1' & `mean_lnfirms1_d2' & `mean_lnfirms2_d2' \\
tex  & (`se_lnfirms1_d1') & (`se_lnfirms2_d1') & (`se_lnfirms1_d2') & (`se_lnfirms2_d2')  \\
tex \hline 
tex Model Fit & Linear & Quadratic & Linear & Quadratic \\
tex \hline
tex \end{tabular}
texdoc close

texdoc init "rdd_autoregression_lag2.tex", force replace
tex	\begin{tabular}{lcccc} \toprule
tex \hline
tex & \multicolumn{2}{c}{Prefered Specification} & \multicolumn{2}{c}{Control: Lag 2} \\
tex & (1) & (2) & (3) & (4)   \\
tex \hline
tex \multicolumn{5}{l}{A: Bi-weekly Specification} \\
tex Number of Card Transactions & `mean_lntrans1_b1' & `mean_lntrans2_b1' & `mean_lntrans1_b3' & `mean_lntrans2_b3' \\
tex  & (`se_lntrans1_b1') & (`se_lntrans2_b1') & (`se_lntrans1_b3') & (`se_lntrans2_b3')  \\
tex Volume of Card Transactions & `mean_lnsales1_b1' & `mean_lnsales2_b1' & `mean_lnsales1_b3' & `mean_lnsales2_b3' \\
tex  & (`se_lnsales1_b1') & (`se_lnsales2_b1') & (`se_lnsales1_b3') & (`se_lnsales2_b3')  \\
tex Number POS & `mean_lnpos1_b1' & `mean_lnpos2_b1' & `mean_lnpos1_b3' & `mean_lnpos2_b3' \\
tex  & (`se_lnpos1_b1') & (`se_lnpos2_b1') & (`se_lnpos1_b3') & (`se_lnpos2_b3')  \\
tex Number of Firms with a POS & `mean_lnfirms1_b1' & `mean_lnfirms2_b1' & `mean_lnfirms1_b3' & `mean_lnfirms2_b3' \\
tex  & (`se_lnfirms1_b1') & (`se_lnfirms2_b1') & (`se_lnfirms1_b3') & (`se_lnfirms2_b3')  \\
tex \hline
tex \multicolumn{5}{l}{B: Weekly Specification} \\
tex Number of Card Transactions & `mean_lntrans1_w1' & `mean_lntrans2_w1' & `mean_lntrans1_w3' & `mean_lntrans2_w3' \\
tex  & (`se_lntrans1_w1') & (`se_lntrans2_w1') & (`se_lntrans1_w3') & (`se_lntrans2_w3')  \\
tex Volume of Card Transactions & `mean_lnsales1_w1' & `mean_lnsales2_w1' & `mean_lnsales1_w3' & `mean_lnsales2_w3' \\
tex  & (`se_lnsales1_w1') & (`se_lnsales2_w1') & (`se_lnsales1_w3') & (`se_lnsales2_w3')  \\
tex Number POS & `mean_lnpos1_w1' & `mean_lnpos2_w1' & `mean_lnpos1_w3' & `mean_lnpos2_w3' \\
tex  & (`se_lnpos1_w1') & (`se_lnpos2_w1') & (`se_lnpos1_w3') & (`se_lnpos2_w3')  \\
tex Number of Firms with a POS & `mean_lnfirms1_w1' & `mean_lnfirms2_w1' & `mean_lnfirms1_w3' & `mean_lnfirms2_w3' \\
tex  & (`se_lnfirms1_w1') & (`se_lnfirms2_w1') & (`se_lnfirms1_w3') & (`se_lnfirms2_w3')  \\
tex \hline
tex \multicolumn{5}{l}{C: Daily Specification} \\
tex Number of Card Transactions & `mean_lntrans1_d1' & `mean_lntrans2_d1' & `mean_lntrans1_d3' & `mean_lntrans2_d3' \\
tex  & (`se_lntrans1_d1') & (`se_lntrans2_d1') & (`se_lntrans1_d3') & (`se_lntrans2_d3')  \\
tex Volume of Card Transactions & `mean_lnsales1_d1' & `mean_lnsales2_d1' & `mean_lnsales1_d3' & `mean_lnsales2_d3' \\
tex  & (`se_lnsales1_d1') & (`se_lnsales2_d1') & (`se_lnsales1_d3') & (`se_lnsales2_d3')  \\
tex Number POS & `mean_lnpos1_d1' & `mean_lnpos2_d1' & `mean_lnpos1_d3' & `mean_lnpos2_d3' \\
tex  & (`se_lnpos1_d1') & (`se_lnpos2_d1') & (`se_lnpos1_d3') & (`se_lnpos2_d3')  \\
tex Number of Firms with a POS & `mean_lnfirms1_d1' & `mean_lnfirms2_d1' & `mean_lnfirms1_d3' & `mean_lnfirms2_d3' \\
tex  & (`se_lnfirms1_d1') & (`se_lnfirms2_d1') & (`se_lnfirms1_d3') & (`se_lnfirms2_d3')  \\
tex \hline 
tex Model Fit & Linear & Quadratic & Linear & Quadratic \\
tex \hline
tex \end{tabular}
texdoc close


texdoc init "rdd_autoregression_prais.tex", force replace
tex	\begin{tabular}{lcccc} \toprule
tex \hline
tex & \multicolumn{2}{c}{Prefered Specification} & \multicolumn{2}{c}{Prais-Winsten Correction} \\
tex & (1) & (2) & (3) & (4)   \\
tex \hline
tex \multicolumn{5}{l}{A: Bi-weekly Specification} \\
tex Number of Card Transactions & `mean_lntrans1_b1' & `mean_lntrans2_b1' & `amean_lntrans1_b1' & `amean_lntrans2_b1' \\
tex  & (`se_lntrans1_b1') & (`se_lntrans2_b1') & (`ase_lntrans1_b1') & (`ase_lntrans2_b1')  \\
tex Volume of Card Transactions & `mean_lnsales1_b1' & `mean_lnsales2_b1' & `amean_lnsales1_b1' & `amean_lnsales2_b1' \\
tex  & (`se_lnsales1_b1') & (`se_lnsales2_b1') & (`ase_lnsales1_b1') & (`ase_lnsales2_b1')  \\
tex Number POS & `mean_lnpos1_b1' & `mean_lnpos2_b1' & `amean_lnpos1_b1' & `amean_lnpos2_b1' \\
tex  & (`se_lnpos1_b1') & (`se_lnpos2_b1') & (`ase_lnpos1_b1') & (`ase_lnpos2_b1')  \\
tex Number of Firms with a POS & `mean_lnfirms1_b1' & `mean_lnfirms2_b1' & `amean_lnfirms1_b1' & `amean_lnfirms2_b1' \\
tex  & (`se_lnfirms1_b1') & (`se_lnfirms2_b1') & (`ase_lnfirms1_b1') & (`ase_lnfirms2_b1')  \\
tex \hline
tex \multicolumn{5}{l}{B: Weekly Specification} \\
tex Number of Card Transactions & `mean_lntrans1_w1' & `mean_lntrans2_w1' & `amean_lntrans1_w1' & `amean_lntrans2_w1' \\
tex  & (`se_lntrans1_w1') & (`se_lntrans2_w1') & (`ase_lntrans1_w1') & (`ase_lntrans2_w1')  \\
tex Volume of Card Transactions & `mean_lnsales1_w1' & `mean_lnsales2_w1' & `amean_lnsales1_w1' & `amean_lnsales2_w1' \\
tex  & (`se_lnsales1_w1') & (`se_lnsales2_w1') & (`ase_lnsales1_w1') & (`ase_lnsales2_w1')  \\
tex Number POS & `mean_lnpos1_w1' & `mean_lnpos2_w1' & `amean_lnpos1_w1' & `amean_lnpos2_w1' \\
tex  & (`se_lnpos1_w1') & (`se_lnpos2_w1') & (`ase_lnpos1_w1') & (`ase_lnpos2_w1')  \\
tex Number of Firms with a POS & `mean_lnfirms1_w1' & `mean_lnfirms2_w1' & `amean_lnfirms1_w1' & `amean_lnfirms2_w1' \\
tex  & (`se_lnfirms1_w1') & (`se_lnfirms2_w1') & (`ase_lnfirms1_w1') & (`ase_lnfirms2_w1')  \\
tex \hline
tex \multicolumn{5}{l}{C: Daily Specification} \\
tex Number of Card Transactions & `mean_lntrans1_d1' & `mean_lntrans2_d1' & `amean_lntrans1_d1' & `amean_lntrans2_d1' \\
tex  & (`se_lntrans1_d1') & (`se_lntrans2_d1') & (`ase_lntrans1_d1') & (`ase_lntrans2_d1')  \\
tex Volume of Card Transactions & `mean_lnsales1_d1' & `mean_lnsales2_d1' & `amean_lnsales1_d1' & `amean_lnsales2_d1' \\
tex  & (`se_lnsales1_d1') & (`se_lnsales2_d1') & (`ase_lnsales1_d1') & (`ase_lnsales2_d1')  \\
tex Number POS & `mean_lnpos1_d1' & `mean_lnpos2_d1' & `amean_lnpos1_d1' & `amean_lnpos2_d1' \\
tex  & (`se_lnpos1_d1') & (`se_lnpos2_d1') & (`ase_lnpos1_d1') & (`ase_lnpos2_d1')  \\
tex Number of Firms with a POS & `mean_lnfirms1_d1' & `mean_lnfirms2_d1' & `amean_lnfirms1_d1' & `amean_lnfirms2_d1' \\
tex  & (`se_lnfirms1_d1') & (`se_lnfirms2_d1') & (`ase_lnfirms1_d1') & (`ase_lnfirms2_d1')  \\
tex \hline 
tex Model Fit & Linear & Quadratic & Linear & Quadratic \\
tex \hline
tex \end{tabular}
texdoc close
