// Open data
use "$stata_raw\card_data_ext_2014.dta", clear

	keep if moneda==1
	keep if month==9

// Create rebate rate measures
		gen rebate=(tot_credito>0 & tot_credito!=.)

		gen rebate_fraction=(tot_credito/tot_venta) if rebate==1
		replace rebate_fraction=0 if rebate==0
		
// Collapse 	
		collapse (mean) rebate_fraction (sum) tot_credito tot_venta rebate (count) moneda, by(id_afi)

		drop if id_afi==0

		rename tot_credito amount_rebate
		rename tot_venta tot_trans_amount
		rename rebate count_rebate
		rename moneda count_trans
		rename id_afi ide
		gen share_rebate=(amount_rebate/tot_trans_amount)*122
		replace rebate_fraction=rebate_fraction*122

 // Create graph

				sum rebate_fraction, d
				local rebate_fraction_9mean=r(mean)
				local rebate_fraction_950=r(p50)
		twoway (histogram rebate_fraction if rebate_fraction<=6, percent fcolor(orange%29) lcolor(orange)), ///
		 xline(`rebate_fraction_9mean', lwidth(medthick) lpattern(solid) lcolor(red)) ///
		  xline(`rebate_fraction_950', lwidth(medthick) lpattern(solid) lcolor(blue)) ///
		xtitle(Firm-Level Average Rebate Rate) ytitle(Share of Firms) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) 
		 graph export hist_rebate_fraction_9.pdf, replace










