foreach P in 1 2 3 {
foreach y in log_count_pos_total log_tot_sales log_count_trans   {
foreach a in $option_rd_robust {
*-------------------------------------------------------------------------------
*1 Using data at the weekly level 
*-------------------------------------------------------------------------------

use "$datadir\card_transaction_weekly_rd.dta", clear

*dropping everything after june 2016
gen sample2015=(year<=2015 | (year==2016 & month<=6))
keep if sample2015==1

if "`a'"=="main" {
*running variable
gen distt=week_since_reform 

		* Post-reform
		gen post=(distt>=0)

		*bandwidths to test
		*bandwith
		local bw1 "185 120"
		local bw2 "185 80"
		local bw3 "185 50"
		local bw4 "185 30"
		local bw5 "150 120"
		local bw6 "150 80"
		local bw7 "150 50"
		local bw8 "150 30"
		local bw9 "120 120"
		local bw10 "120 80"
		local bw11 "120 50"
		local bw12 "120 30"
		local bw13 "100 80"
		local bw14 "100 50"
		local bw15 "100 30"
		local bw16 "80 80"
		local bw17 "80 50"
		local bw18 "80 30"
		local bw19 "50 50"
		local bw20 "50 30"
		local bw21 "30 30"

		 *Run regression and save results of the 9 specified bandwidth
		gen running=(distt-0)
		forvalues I=1/21 {
		rdrobust `y' running, c(0) p(`P') h(`bw`I'') covs(month)
		gen mean_`y'_`P'd`I'=e(tau_cl)
		gen se_`y'_`P'd`I'=e(se_tau_cl)
		gen bleft_`y'_`P'd`I'=e(h_l)
		gen bright_`y'_`P'd`I'=e(h_r)
		gen upper_`y'_`P'd`I'=mean_`y'_`P'd`I'+(se_`y'_`P'd`I'*1.960)
		gen lower_`y'_`P'd`I'=mean_`y'_`P'd`I'-(se_`y'_`P'd`I'*1.960)
		}
		
		* run regression with optimal bandwidth
		rdrobust `y' running, c(0) p(`P')  covs(month)
		gen mean_`y'_`P'd22=e(tau_cl)
		gen se_`y'_`P'd22=e(se_tau_cl)
		gen bleft_`y'_`P'd22=e(h_l)
		gen bright_`y'_`P'd22=e(h_r)
		gen upper_`y'_`P'd22=mean_`y'_`P'd22+(se_`y'_`P'd22*1.960)
		gen lower_`y'_`P'd22=mean_`y'_`P'd22-(se_`y'_`P'd22*1.960)
}

if "`a'"=="0815" {
*changing the running variable to reflect weeks relative to the first week of august 2015
sum week if year==2015 & month==8 
local new_week=r(min)
replace week_since_reform=week_since_reform-`new_week'
gen distt=week_since_reform 
		* Post-reform
		gen post=(distt>=0)
		
		*bandwidths to test
		local bw1 "45 45"
		local bw2 "45 30"
		local bw3 "45 15"
		local bw4 "30 45"
		local bw5 "30 30"
		local bw6 "30 15"
		local bw7 "15 45"
		local bw8 "15 30"
		local bw9 "15 15"

		 *Run regression and save results of the 9 specified bandwidth
		gen running=(distt-0)
		forvalues I=1/9 {
		rdrobust `y' running, c(0) p(`P') h(`bw`I'') covs(month)
		gen mean_`y'_`P'd`I'=e(tau_cl)
		gen se_`y'_`P'd`I'=e(se_tau_cl)
		gen bleft_`y'_`P'd`I'=e(h_l)
		gen bright_`y'_`P'd`I'=e(h_r)
		gen upper_`y'_`P'd`I'=mean_`y'_`P'd`I'+(se_`y'_`P'd`I'*1.960)
		gen lower_`y'_`P'd`I'=mean_`y'_`P'd`I'-(se_`y'_`P'd`I'*1.960)
		}
		
		* run regression with optimal bandwidth
		rdrobust `y' running, c(0) p(`P')  covs(month)
		gen mean_`y'_`P'd10=e(tau_cl)
		gen se_`y'_`P'd10=e(se_tau_cl)
		gen bleft_`y'_`P'd10=e(h_l)
		gen bright_`y'_`P'd10=e(h_r)
		gen upper_`y'_`P'd10=mean_`y'_`P'd10+(se_`y'_`P'd10*1.960)
		gen lower_`y'_`P'd10=mean_`y'_`P'd10-(se_`y'_`P'd10*1.960)
}
*-------------------------------------------------------------------------------
*2 Creating dataset with coeffcients
*-------------------------------------------------------------------------------

		keep if week==1 
			
		keep mean_* upper_* lower_* week distt bleft_* bright_*

		
		reshape long mean_`y'_`P'd upper_`y'_`P'd lower_`y'_`P'd bleft_`y'_`P'd bright_`y'_`P'd, i(week) j(bw)
		replace bleft_`y'_`P'd=floor(bleft_`y'_`P'd)
		replace bright_`y'_`P'd=floor(bright_`y'_`P'd)

		gen value=0
		sum upper_`y'_`P'd
		
		*text position in graphs
		glo rmax=r(max)
		glo rmax: di %3.0f ${rmax}
		gen gap=0.2*${rmax}
		sum gap
		glo gap = r(mean)
		glo gap: di %3.0f ${gap}
		
		local optimal_main 22
		local optimal_0815 10
		
		sum bleft_`y'_`P'd if bw==`optimal_`a''
		glo bl_`y'_`P'=r(mean)
		glo bl_`y'_`P': di %3.0f ${bl_`y'_`P'}
		
		sum bright_`y'_`P'd if bw==`optimal_`a''
		glo br_`y'_`P'=r(mean)
		glo br_`y'_`P': di %3.0f ${br_`y'_`P'}
		
		if "`a'"=="main" {
			
		local l_log_count_pos_total="0(.05).15"
		local l_log_count_trans="0(.2).6"
		local l_log_tot_sales="0(0.1).4" 
		
		
		graph twoway (rcap upper_`y'_`P'd lower_`y'_`P'd bw if bw<=21, fcolor(blue) lwidth(0.3) lcolor(blue)) ///
		(rcap upper_`y'_`P'd lower_`y'_`P'd bw if bw==22, fcolor(orange) lwidth(0.5) lcolor(orange)) ///
		(scatter mean_`y'_`P'd bw if bw<=21, mcolor(blue) msize(medium) lcolor(blue)) ///
		(scatter mean_`y'_`P'd bw if bw==22, mcolor(orange) msize(medlarge) msymbol(triangle) lcolor(orange)) ///
		(line value  bw, lcolor(red) lwidth(medthin)), ///
		 ylabel(`l_`y'') xlabel(1 "185, 120" 2 "185,80" 3 "185,50" 4 "185,30" 5 "150 120" 6 "150,80" 7 "150,50" 8 "150,30" ///
		 9 "120 120" 10 "120,80" 11 "120,50" 12 "120,30" 13 "100,80" 14 "100,50" 15 "100,30" 16 "80,80" 17 "80,50" ///
		 18 "80,30" 19 "50,50" 20 "50,30" 21 "30,30" 22 "Optimal ${bl_`y'_`P'},${br_`y'_`P'}", labsize(small) angle(forty_five)) ///
		 graphregion(fcolor(white)) legend(off) yline(0, lwidth(medthin) lcolor(red)) ytitle(Point Estimate, size(medium)) ///
	  xtitle(Bandwidth (Weeks to reform), size(medium)) 
		graph export "robust_`y'_`P'_d_w.pdf", replace 
		}
		
		if "`a'"=="0815" {
		local l_log_count_pos_total="-.15(0.05).15"
		local l_log_count_trans="-.3(.1).3"
		local l_log_tot_sales="-.3(0.1).3" 
		
					graph twoway (rcap upper_`y'_`P'd lower_`y'_`P'd bw if bw<=9, fcolor(blue) lwidth(0.3) lcolor(blue)) ///
		(rcap upper_`y'_`P'd lower_`y'_`P'd bw if bw==10, fcolor(orange) lwidth(0.5) lcolor(orange)) ///
		(scatter mean_`y'_`P'd bw if bw<=9, mcolor(blue) msize(medium) lcolor(blue)) ///
		(scatter mean_`y'_`P'd bw if bw==10, mcolor(orange) msize(medlarge) msymbol(triangle) lcolor(orange)) ///
		(line value  bw, lcolor(red) lwidth(medthin)), ///
		 ylabel(`l_`y'') xlabel(1 "45, 45" 2 "45,30" 3 "45,15" 4 "30,45" 5 "30,30" 6 "30,15" 7 "15,45" 8 "15,30" ///
		 9 "15 15" 10 "Optimal ${bl_`y'_`P'},${br_`y'_`P'}", labsize(small) angle(forty_five)) graphregion(fcolor(white)) legend(off) yline(0, lwidth(medthin) lcolor(red)) ytitle(Point Estimate, size(medium)) ///
	  xtitle(Bandwidth (Weeks to reform), size(medium)) 
		graph export "robust_`y'_`P'_d_w_0815.pdf", replace 
		}
		
		
		}
		}
}
