*CARD TRANSACTION DATA
foreach year in 2014 2015 {
use "$stata_raw\card_data_ext_`year'.dta", clear
keep if moneda==1
*APPEND WITH UI CONVERSION RATE
merge m:1 year month day using "$stata_raw\unidades_indexadas_daily.dta", gen(merge_ui)
keep if merge_ui==3
gen ui_trans=tot_venta*UI
sum ui_trans, d
local p95=r(p95)

*FULL DISTRIBUTION HISTOGRAM
twoway (histogram ui_trans if ui_trans<=`p95', fcolor(none) lcolor(navy)) , xline(4000, lwidth(medthick) lpattern(solid) lcolor(red)) ///
xline(3500, lwidth(medthick) lpattern(dash) lcolor(black%85)) xline(4500, lwidth(medthick) lpattern(dash) lcolor(black%85))  legend(off) xtitle(Unidades Indexadas) scale(1.2) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) ifcolor(white))
graph export ui_density_full_`year'.pdf, replace 

*DISTRIBUTION AROUND THE THRESHOLD
twoway (histogram ui_trans if ui_trans>=3500 & ui_trans<=4500, fcolor(none) lcolor(navy)) , xline(4000, lwidth(medthick) lpattern(solid) lcolor(red)) legend(off) xtitle(Unidades Indexadas) scale(1.2) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) plotregion(fcolor(white) ifcolor(white))
graph export ui_density_`year'.pdf, replace 
}