foreach s in c /*a b c d*/ {
	foreach est in /*log*/ raw {
use "${datadir}/vat_returns_month_long.dta", clear

/*-------------------------------------------------------------------------------
				1. Sample Cleaning
*-------------------------------------------------------------------------------*/

	** keeping just retail and wholesale sectors 
		bysort ide: egen sector = max(codgiro)
		gen retail = 0
		replace retail = 1 if floor(codgiro/1000) == 47
		gen wholesale = 0
		replace wholesale = 1 if floor(codgiro/1000) == 46
		
		local spec_a keep if retail==1 | wholesale==1
		local spec_b keep if retail==1
		local spec_c keep if retail==1 & cede==0 
		local spec_d keep if (retail==1 | wholesale==1) & cede==0 
		
	 `spec_`s''
		
				keep if period<=tm(2015m12)
				
		sort ide period
	tab year 
	
xtset ide period
gen lcard=l.hascard
gen period_intro=period if hascard==1 & lcard==0
egen min_period=min(period_intro), by(ide)
keep if min_period!=.

egen first_month=min(period), by(ide)
egen first_month_card=min(period) if hascard==1, by(ide)
gen card_beg=(first_month==first_month_card)
egen max_card_beg=max(card_beg), by(ide)

drop if max_card_beg==1

gen dist=period-min_period
	gen temp = (edist>=-4 & edist<=4)
	by ide: egen nodrop=total(temp)
	keep if nodrop==(abs(-4)+4+1) 
	/*
keep if dist>=-4 & dist<=4
egen count=count(dist), by(ide)
keep if count==9
*/

gen liab=max(0, rnetliab)
drop rnetliab
rename liab rnetliab

		* Tax Purchases, Tax Sale, Net Liability
		gen posi_liab_99=rnetliab>0 & rnetliab!=. 	
		
		
		foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
		replace `var'=0 if `var'<0
		winsor2 `var', suffix(_99)cuts(0 99) by(period retail) 
		}


tab dist, gen(event_time)
gen up=dist>4
gen down=dist<-4

foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
gen log_`var'=log(1+`var'_99)
rename `var' raw_`var'
reg `est'_`var' up down event_time100 event_time101 event_time102 event_time104 event_time105 event_time106 event_time107 event_time108 i.period, absorb(ide) cluster(ide)

			foreach x in se b {
			foreach p in 100 101 102 104 105 106 107 108 {
		gen m`x'_`var'_`p'=_`x'[event_time`p']
			}
			}
}

foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
sum `est'_`var' if down==1
gen mean_`var'=r(mean)
}

keep dist mse_* mb_* mean_*

foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
foreach p in 100 101 102 104 105 106 107 108 {
gen upper_`var'_`p'=mb_`var'_`p'+(mse_`var'_`p'*1.960)
gen lower_`var'_`p'=mb_`var'_`p'-(mse_`var'_`p'*1.960)
}
}

keep dist mb_* upper_* lower_* mean_*
keep if dist==0
duplicates drop dist, force
	



foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
gen mb_`var'_103=0
gen upper_`var'_103=.
gen lower_`var'_103=. 
}

foreach p in 100 101 102 103 104 105 106 107 108 {
foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
gen mean_`var'_`p'=mean_`var'
}
}

foreach var in rtaxsale rnetliab  /*rtaxpur posi_liab*/ {
drop mean_`var'
}

reshape long mb_rtaxsale_ upper_rtaxsale_ lower_rtaxsale_  mb_rnetliab_ upper_rnetliab_ lower_rnetliab_ mean_rnetliab_ mean_rtaxsale_, i(dist) j(period)


rename mb_rtaxsale_ mb_1
rename upper_rtaxsale_ upper_1
rename lower_rtaxsale_ lower_1
rename mean_rtaxsale_ mean_1
rename mb_rnetliab_ mb_2
rename upper_rnetliab_ upper_2
rename lower_rnetliab_ lower_2
rename mean_rnetliab_ mean_2

reshape long mb_ upper_ lower_ mean_, i(dist period) j(outcome)
drop dist 
replace period=period-104
replace period=period+0.2 if outcome==2
gen value=0

sum mean_ if outcome==1
scalar mean_rtaxsale=string(r(mean), "%11.2g")

sum mean_ if outcome==2
scalar mean_rnetliab=string(r(mean), "%11.2g")

		graph twoway (rcap upper_ lower_ period if outcome==1, fcolor(blue) lwidth(0.3) lcolor(blue)) ///
		(rcap upper_ lower_ period if outcome==2, yaxis(2) fcolor(orange) lwidth(0.3) lcolor(orange)) ///
		(scatter mb_ period if outcome==1, mcolor(blue) msize(small) lcolor(blue) msymbol(o)) ///
		(scatter mb_ period if outcome==2, yaxis(2)  mcolor(orange) msize(orange) lcolor(orange) msymbol(t)) ///
		/*(line value  period, lcolor(blue) lwidth(medthin)) ///
		(line value  period, yaxis(2) lcolor(orange) lwidth(medthin))*/, ///
		graphregion(fcolor(white)) legend(order(1 "Output VAT (Left Axis)" 3 "Net VAT Liability (Right Axis)") rows(2)) xline(-0.5, lwidth(medium) lcolor(black)) yline(0, lwidth(medium) lcolor(red)) /*yline(0, lwidth(medthin)  lcolor(red) axis(2))*/ ylabel(-7500(7500)7500, axis(2)) ylabel(-20000(20000)20000) ytitle(Point Estimate, size(medium))  ///
	  xtitle(Months to First Card Report) scale(1.2) ///
	  note("Mean Output VAT Pre-Reform: `=scalar(mean_rtaxsale)'" "Mean Net VAT Liability Pre-Reform: `=scalar(mean_rnetliab)'"  , span)

	  				graph export event_`est'_b_`s'_2.pdf, replace
	}
}

