foreach year in 2009 {
foreach b in b ub {
foreach s in t rw {
  use "${datadir}/vat_returns_month_long.dta", clear

		drop if period==.
		
		if "`s'"=="rw" {
		** Retail
		bysort ide: egen sector = max(codgiro)
		gen retail = 0
		replace retail = 1 if floor(codgiro/1000) == 47
		keep if retail==1 
		}
		

		* Balancing Sample
		sort ide period
		gen quarter = qofd(dofm(period))
		format quarter %tq
		
		
		foreach i in 2009q1 2009q2 2009q3 2009q4 2010q1 2010q2 2010q3 2010q4 2011q1 2011q2 2011q3 ///
		2011q4 2012q1 2012q2 2012q3 2012q4  {
		gen has`i'_aux = quarter==tq(`i')
		by id: egen has`i'=max(has`i'_aux)
		}
		
		egen numq_2009 = rsum(has2009q1 has2009q2 has2009q3 has2009q4 has2010q1 has2010q2 has2010q3 ///
		has2010q4 has2011q1 has2011q2 has2011q3 has2011q4 has2012q1 has2012q2 has2012q3 has2012q4 )
		
		gen b_2009=(numq_2009==16)
		
		gen ub_2009=1

		
		keep if `b'_`year'==1
				
		gen all=1


		if "`b'"=="ub" {
			drop if month==12 | month==1
		}
	 
collapse (mean) hascard (sum) countcard=hascard, by(period year month cede)
drop if year==2016
drop if cede==.
replace hascard=hascard*100
reshape wide hascard countcard, i(period year month) j(cede)
drop if year==.
drop if year<`year'
drop if year>2012
twoway (connected hascard0 period, mcolor(green) msize(tiny) msymbol(triangle) lcolor(green) lpattern(dash)), ytitle(Share of Firms with a POS) xline(624, lcolor(red)) legend(off)  xtitle(Year-Month) scale(1.2) graphregion(fcolor(white))
graph export "hascard_2012_share_`s'_`year'_`b'.pdf", replace

}
}
}