*appending firm day data of all years
use "${datadir}/daily_firm_pos_2009.dta", replace

foreach y in 2010 2011 2012 2013  {
append using "${datadir}/daily_firm_pos_`y'.dta"
}

*collapse year - month - firm -pos 
collapse (sum) tot_venta count, by(id_afi year month nro_pos )
gen count_pos=1 

*collapse year-month firm
collapse (sum) tot_venta count count_pos, by(id_afi year month)

gen count_firms=1 

*collapse year month
collapse (sum) tot_venta count count_pos count_firms, by(year month)


sort year month 
gen period=year*100+month
tostring period, gen(p)
gen d="01"
egen period_day=concat(p d)
gen p_day=date(period_day, "YMD")
format p_day %td
drop period
gen period=mofd(p_day)
format period %tm
drop p_day period_day

tsset period, monthly
rename count count_transactions

foreach var in count_pos count_transactions tot_venta {
	gen log_`var'=log(1+`var')
}

local l_count_pos="Log Number of POS"
local l_count_transactions="Log Number of Card Transactions"
local l_tot_venta="Log Volume of Card Transactions"

foreach var in count_pos count_transactions tot_venta {
twoway (connected log_`var' period, mcolor(navy) msize(tiny) msymbol(oh) lcolor(navy) lpattern(dash)), ytitle(`l_`var'')  xline(624, lcolor(red)) /*ylabel(15(5)25) ylabel(3(1)5, axis(2))*/ legend(off) /*legend(order(1 "Non-CEDE (Left Axis)" 2 "CEDE (Right Axis)") rows(2))*/ xtitle(Year-Month) scale(1.2) graphregion(fcolor(white))

graph export "`var'_2013.pdf", replace

}
