use "${datadir}/vat_returns_month_long.dta", clear

drop if period==.
drop if ide==0
duplicates report ide month year
duplicates drop ide month year, force

*dropping 2007 and 2016
drop if year==2007 | year==2016

*count firms by month year
collapse (count) cede, by(period)
sort period

gen n=_n

twoway (line cede period, lcolor(midblue) lpattern(dash)), ytitle(Number of VAT Filers) ylabel(, labsize(small) nogrid) xtitle(Month-Year) xline(587 599 611 623 635 647 659 671, lpattern(dot) lcolor(black%50)) xlabel(576(12)671, labsize(small) angle(forty_five) nogrid) scale(1.3) graphregion(fcolor(white))
graph export "vat_filers_month.pdf", replace 





