

// IMPORT AND PREPARE DATA 

		import delimited "$rawdatadir\WDI_gdp_pc.csv", varnames(1) stripquote(yes) numericcols(5 6 7) clear  // findex data
		ren countrycode codewb
		drop if yr2011==.
		reshape long yr, i(countryname codewb) j(year)	
		ren yr gdp_pc 
		
		merge 1:m codewb year using "$rawdatadir\DatabankWide.dta" 
		
		gen log_gdp_pc=log(gdp_pc)   // 2011, constant 2015 USD	

		gen  value_1=account_t_d*100
		gen  value_3=fin2_t_d*100
			

		
// FIGURE A9, panels A and B

		cd "$outdir"

		foreach f in 1 3 {
		twoway (scatter value_`f' log_gdp_pc if year==2011 & codewb!="URY", msymbol(circle) mcolor(blue*.2)) ///
		(scatter value_`f' log_gdp_pc if year==2011 & codewb=="URY",  msize(medlarge) msymbol(circle) mcolor(blue) mlabel(countryname) mlabsize(medsmall) mlabcolor(blue)) ///
		(scatter value_`f' log_gdp_pc if year==2017 & codewb!="URY", msymbol(Th) mcolor(green*.2)) ///
		(scatter value_`f' log_gdp_pc if year==2017 & codewb=="URY",  msize(medlarge) msymbol(Th) mcolor(green) mlabel(countryname) mlabsize(medsmall) mlabcolor(green)) ///
		(qfit value_`f' log_gdp_pc if year==2011, lcolor(blue) lwidth(medthick)) ///
		(qfit value_`f' log_gdp_pc if year==2017, lcolor(green) lwidth(medthick)), ///
		ytitle("`l_value_`f''") xtitle("Log GDP per Capita in 2011 (Constant 2015 USD)") ///
		scale(1.05) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(order(5 "2011" 6 "2017"))
		graph export "findex_`f'_4_q.pdf", replace 
		}


// FIGURE A1, panel A1 
		*If you want to drop outliers, remove the commenting-out on line below:
		*drop if value_`f'<1 | value_`f'==100 | (log_value_4<7.5 & value_1>80 & value_3!=.) // the latter is Estonia, a far outlier
		twoway (scatter value_1 log_gdp_pc if year==2011 & codewb!="URY", msymbol(circle) mcolor(blue)) ///
		(scatter value_1 log_gdp_pc if year==2011 & codewb=="URY", mlabel(countryname) mlabcolor(red) mcolor(red) msize(vlarge)) ///
		(lfit value_1 log_gdp_pc if year==2011, lcolor(black) ), ///
		graphregion(fcolor(white))  legend(off) xtitle("Log GDP per capita in 2011 (Constant 2015 USD)") ytitle("Account Ownership (% 15+)") ///
		 xlabels(5 6 7 8 9 10 11 12)  
		graph export "account_2011_replication_4.pdf", replace 


// FIGURE A1, panel A2
		twoway (scatter value_3 log_gdp_pc if year==2011 & codewb!="URY", msymbol(circle) mcolor(blue)) ///
		(scatter value_3 log_gdp_pc if year==2011 & codewb=="URY", mlabel(countryname) mlabcolor(red) mcolor(red) msize(vlarge)) ///
		(qfit value_3 log_gdp_pc if year==2011, lcolor(black)), ///
		ytitle("Debit Card Ownership (% age 15+)") xtitle("Log GDP per capita in 2011 (Constant 2015 USD)") legend(off) ///
		 graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) xlabels(5 6 7 8 9 10 11 12)
		graph export "findex_3_4.pdf", replace 



// FIGURE A1, panel B

		import delimited "$rawdatadir\WDI_gdp_pc.csv", varnames(1) stripquote(yes) numericcols(5 6 7) clear  // findex data
		ren countrycode codewb
		drop if yr2011==.
		reshape long yr, i(countryname codewb) j(year)	
		ren yr gdp_pc 
		keep if year==2011
		tempfile gdp
		sa `gdp'
		
		use "$rawdatadir\data_informality.dta", clear // has country (name) and iso (isocode)
		keep if year>=2010
		rename country countryname
		rename iso codewb
		merge m:1 countryname using `gdp', gen(m1)
		keep if m1==3

		gen log_gdp=log(gdp)
		
		cd "$outdir"
		foreach year in 2011 {
		twoway (scatter informal log_gdp if countries!=152 & year==`year', msymbol(triangle) mcolor(blue)) ///
		(scatter informal log_gdp if countries==152 & year==`year', mcolor(red) ///
		msize(medlarge) msymbol(circle) mlabel(countryname) mlabsize(medsmall) mlabcolor(red)) ///
		(lfit informal log_gdp if year==`year', lcolor(black%80) lwidth(medthick)), ///
		ytitle("Informal Economy as" "a Share of GDP") xtitle("Log GDP per Capita in 2011 (Constant 2015 USD)") ///
		scale(1.05) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) legend(off) xlabels(5 6 7 8 9 10 11 12)
		graph export "log_informal_`year'.pdf", replace 
		}